@ /***********************\
@ | ZONA MEMORIA i TAMANY  |
@ \***********************/

.SECTION .iwram,"ax",%progbits
.ARM
.ALIGN

@ /*************\
@ | INCLUSIONS  |
@ \*************/


.include "../GFX/IncludeARM/Info_images.s"



@ /**************\
@ | DEFINCIONS   |
@ \**************/

.equ AMPLADA_PANTALLA,240
.equ ALTURA_PANTALLA,160
.equ CENTRE_X2D, 120
.equ CENTRE_Y2D, 80


@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@
@ LES SEGENTS DEFINICIONS DEFINEIXEN LA QUALITAT GRFIC EN X I/O EN Y. CAL POSAR LA DEFINICI COM A COMENTARI
@ SI ES VOL UTILITZAR MXIM NIVELL DE COORDENADA (X o Y).
@
@  IMPORTANT !!! SI ES VOL CREAR LA ROM GBA I SI ES POSA ALGUNA DE LES SEGENTS DEFINICIONS COM A COMENTARI,
@ CALDR MODIFICAR LES DEFINCIONS DE CAPALERA C ("definicions.h") DE MANERA QUE COINCIDEIXIN
@

.equ    __BAIX_NIVELL_X,1
@.equ    __BAIX_NIVELL_Y,1

@.equ   __WITH_LIGHT__,1


@@
@@
@@ FI DEFINICIONS NIVELL GRFIC
@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@


.ifdef __BAIX_NIVELL_X

    .equ AMPLADA_PANTALLA_EFECTIVA, 120
    .equ CENTRE_X2D_EFECTIU,60


    
.else

    .equ AMPLADA_PANTALLA_EFECTIVA, 240
    .equ CENTRE_X2D_EFECTIU,120

.endif



.ifdef __BAIX_NIVELL_Y

    .equ ALTURA_PANTALLA_EFECTIVA,80
    .equ CENTRE_Y2D_EFECTIU,40


.else
    .equ ALTURA_PANTALLA_EFECTIVA,160
    .equ CENTRE_Y2D_EFECTIU,80


.endif



.equ Video,0x06000000


@ /***********************\
@ | PROTOTIPUS DE FUNCIONS |
@ \***********************/


.GLOBL   ARM_PutSprite
.TYPE    ARM_PutSprite, function


