//    Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
//    Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
//
//    This file is part of Jespa3D Engine.
//
//    Jespa3D Engine is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    Jespa3D Engine is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Jespa3D Engine; ; see the file COPYING. if not, write to 
//    the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//    Boston, MA  02111-1307  USA

#ifndef __FONT_H
 #define __FONT_H

	/************************\
	| INCLUSIO DE LLIBRERIES |
	\************************/

	#include "Grafics.h"
	#include "GFX\IncludeC\info_images.h"


	/*************\
	| DEFINICIONS |
	\*************/


	#define AMPLADA_FONT_MONOTEXTURA 8
	#define ALTURA_FONT_MONOTEXTURA  8

	#define MARCA_RETURN_STRING       '\n' 
	#define MARCA_FI_STRING			  '\0' //Valor NULL!

	#define MAX_LLETRES_SPRITES		39

	/**********************************\
	| PROTOTIPUS DE FUNCIONS I ACCIONS |
	\**********************************/

	void EscriureTextAPantalla(unsigned X,unsigned Y,char *Text,char Textura);
	void EscriureNumeroRealAPantalla(unsigned X,unsigned Y,double NumeroReal,char Textura);
	void EscriureNumeroEnterAPantalla(unsigned X,unsigned Y,int Numero,char Textura);

#endif
