#include	"info_images.h"



// Raw data info...

#include	"Shade.raw.c"
#include	"Glenz.raw.c"
#include	"Palette.raw.c"
#include	"Font.raw.c"
#include	"Images.raw.c"


const tInfo_Image Info_Image[N_IMAGES]={

//   ID_Image        width      height         MipMaps    Propietries       Name
//  ---------       ------     -------      -----------   ------------   -------------

	   0,			   0,		   0,			0,			0x0,			"image_with_no_effect", 
	   1,			  16,		 128,			4,			0x34,			"Blocks/16x128/TGA/track2.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	   2,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/FLAT2.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	   3,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/FLOOR0_7.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	   4,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/CEIL3_5.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	   5,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/FLOOR4_8.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	   6,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/DEM1_6.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	   7,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/PARET3.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	   8,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/PARET2.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	   9,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/as_terr.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  10,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/W28_5.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  11,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/FWATER01.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  12,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/FWATER02.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  13,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/FWATER03.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  14,			  64,		  64,			4,			0x34,			"Blocks/64x64/TGA/FWATER04.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  15,			  64,		  64,			4,			0x34,			"Blocks/64x64/tga/Ceil1_2.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  16,			  64,		  64,			4,			0x34,			"blocks/64x64/tga/MFLR8_3.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  17,			  96,		  96,			4,			0x4,			"Blocks/96x96/TGA/DOOR2_1.tga", // IS_DIMX_POW2=FALSE, IS_DIMY_POW2=FALSE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  18,			 128,		  64,			4,			0x34,			"Blocks/128x64/TGA/ascen_1.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  19,			 128,		  64,			4,			0x34,			"Blocks/128x64/TGA/ascen_2.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  20,			  64,		 128,			4,			0x34,			"Blocks/64x128/TGA/AG128_1.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  21,			 128,		 128,			4,			0x34,			"Blocks/128x128/TGA/MWALL3_1.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  22,			 128,		 128,			4,			0x34,			"Blocks/128x128/TGA/WALL62_1.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  23,			  16,		  16,			4,			0x3c,			"Sprites/16x16/tga/bon2_00.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  24,			  16,		  16,			4,			0x3c,			"Sprites/16x16/tga/bon2_02.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  25,			  16,		  16,			4,			0x3c,			"Sprites/16x16/tga/bon2_03.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  26,			  16,		  16,			4,			0x3c,			"Sprites/16x16/tga/bon2_04.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  27,			  32,		 128,			1,			0x38,			"Sprites/28x96/TGA/TRED00.TGA", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  28,			  32,		 128,			1,			0x38,			"Sprites/28x96/TGA/TRED01.TGA", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  29,			  32,		 128,			1,			0x38,			"Sprites/28x96/TGA/TRED02.TGA", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  30,			  32,		 128,			1,			0x38,			"Sprites/28x96/TGA/TRED03.TGA", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  31,			  64,		  64,			1,			0x38,			"Sprites/44x58/TGA/play01.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  32,			  64,		  64,			1,			0x38,			"Sprites/44x58/TGA/play02.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  33,			  64,		  64,			1,			0x38,			"Sprites/44x58/TGA/play03.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  34,			  64,		  64,			1,			0x38,			"Sprites/44x58/TGA/play04.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  35,			  24,		  32,			4,			0x2c,			"Sprites/24x32/TGA/BAR100.TGA", // IS_DIMX_POW2=FALSE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  36,			  24,		  32,			4,			0x2c,			"Sprites/24x32/TGA/BAR101.TGA", // IS_DIMX_POW2=FALSE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITH_MIPMAPS 
	  37,			 128,		 128,			1,			0x38,			"Sprites/128x128/TGA/M1_1.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=TRUE, IS_PANORAMA=FALSE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
	  38,			1024,		 256,			1,			0x32,			"Paisatge/tga/p2.tga", // IS_DIMX_POW2=TRUE, IS_DIMY_POW2=TRUE, IS_SPRITE=FALSE, IS_PANORAMA=TRUE, IS_PASSABLE=FALSE, IS_FONT=FALSE, WITHOUT_MIPMAPS
};
