void Init_Mapa2D_2(tMapaMon *MapaMon)
{
	s16 NumeroDeMapa = MapaMon->N_Mapes2D;

	tVertex V0,V1;
	tParametres_Nou_Sector Parametres_Sector;
	tSector   Nou_Sector;
	u32 Propietats = 0;


	SET_BIT(Propietats,BIT_RENDER_WITH_BRIGHT);


	
	//-----------------------------------------//
	// Inicialitzaci del Inicialitzacio_Mapa. //
	//-----------------------------------------//


	MAPA_CrearNouMapa(NumeroDeMapa,&MapaMon->Mapa2D[NumeroDeMapa]);


	/////////////////////////////////////////////////////////////////////
	// Construcci del 1er sector connectant al sector (S7) (mapa1)    //  
	/////////////////////////////////////////////////////////////////////

	Parametres_Sector.iluminacio = -75;
	Parametres_Sector.Textura_Sostre = 4;
	Parametres_Sector.Textura_Terra = 11;
	Parametres_Sector.AlturaTerra = -100;
	Parametres_Sector.AlturaSostre = 0;

	Sector_NouSector(Parametres_Sector,&Nou_Sector);
	
	// Linia 0 (Portal al sector 8 -1er esgla-).

	V0.X = INT_TO_FIXED(1536)  ; V0.Z = INT_TO_FIXED(384 );
	V1.X = INT_TO_FIXED(1600 ); V1.Z = INT_TO_FIXED(384 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);

	// Linia 1 (paret).

	V0.X = INT_TO_FIXED(1600 ); V0.Z = INT_TO_FIXED(384 );
	V1.X = INT_TO_FIXED(1664 ); V1.Z = INT_TO_FIXED(384 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);

	// Linia 2 (Portal al tunel d'agua).

	V0.X = INT_TO_FIXED(1664 ); V0.Z = INT_TO_FIXED(384 );
	V1.X = INT_TO_FIXED(1728 ); V1.Z = INT_TO_FIXED(384 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,0,8,Propietats,&Nou_Sector);

	// Linia 3 paret.

	V0.X = INT_TO_FIXED(1728 ); V0.Z = INT_TO_FIXED(384 );
	V1.X = INT_TO_FIXED(1792 ); V1.Z = INT_TO_FIXED(384 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);

	// Linia 4 (Portal al sector 12 -repl-).

	V0.X = INT_TO_FIXED(1792 ); V0.Z = INT_TO_FIXED(384 );
	V1.X = INT_TO_FIXED(1792 ); V1.Z = INT_TO_FIXED(606 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);
	
	// Linia 5 (paret).

	V0.X = INT_TO_FIXED(1792 ); V0.Z = INT_TO_FIXED(606 );
	V1.X = INT_TO_FIXED(1536 ); V1.Z = INT_TO_FIXED(606 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);

	// Linia 6 (portal al sector hexagonal -S6-).

	V0.X = INT_TO_FIXED(1536 ); V0.Z = INT_TO_FIXED(606 );
	V1.X = INT_TO_FIXED(1536 ); V1.Z = INT_TO_FIXED(384 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);

	MAPA_AfegirSector(Nou_Sector,&MapaMon->Mapa2D[NumeroDeMapa]);

	//---------------------------------------------------//
	// Inicialitzaci base del sector 1. (pont d'aigua)  //
	//---------------------------------------------------//

	Parametres_Sector.iluminacio = -75;
	Parametres_Sector.Textura_Sostre = 2;
	Parametres_Sector.Textura_Terra = 11;
	Parametres_Sector.AlturaTerra = -100;
	Parametres_Sector.AlturaSostre = -20;

	Sector_NouSector(Parametres_Sector,&Nou_Sector);

	// Linia 0 (portal al buit).

	V0.X = INT_TO_FIXED(1664 ); V0.Z = INT_TO_FIXED(273 );
	V1.X = INT_TO_FIXED(1728 ); V1.Z = INT_TO_FIXED(273 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,0,0,Propietats,&Nou_Sector);
	
	// Linia 1 (paret)
	V0.X = INT_TO_FIXED(1728);    V0.Z = INT_TO_FIXED(273);
	V1.X = INT_TO_FIXED(1728);    V1.Z = INT_TO_FIXED(384 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,19,8,Propietats,&Nou_Sector);
	
	// Linia 2. (Portal al sector 1)
	V0.X = INT_TO_FIXED(1728)  ; V0.Z = INT_TO_FIXED(384 );
	V1.X = INT_TO_FIXED(1664 ); V1.Z = INT_TO_FIXED(384 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,0,0,Propietats,&Nou_Sector);
	
	// Linia 3 (paret)
	V0.X = INT_TO_FIXED(1664 ); V0.Z = INT_TO_FIXED(384 );
	V1.X = INT_TO_FIXED(1664 ); V1.Z = INT_TO_FIXED(273 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,19,8,Propietats,&Nou_Sector);
	

	MAPA_AfegirSector(Nou_Sector,&MapaMon->Mapa2D[NumeroDeMapa]);


	//---------------------------------------------------//
	// Inicialitzaci base del sector 2. (buit d'aigua)  //
	//---------------------------------------------------//

	Parametres_Sector.iluminacio = -75;
	Parametres_Sector.Textura_Sostre = 2;
	Parametres_Sector.Textura_Terra = 11;
	Parametres_Sector.AlturaTerra = -100;
	Parametres_Sector.AlturaSostre =  0;

	Sector_NouSector(Parametres_Sector,&Nou_Sector);

	// Linia 0 (portal al tunel cap al foso).

	V0.X = INT_TO_FIXED(1536 ); V0.Z = INT_TO_FIXED(162 );
	V1.X = INT_TO_FIXED(1792 ); V1.Z = INT_TO_FIXED(162 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);
	
	// Linia 1 (paret)
	V0.X = INT_TO_FIXED(1792);    V0.Z = INT_TO_FIXED(162);
	V1.X = INT_TO_FIXED(1792);    V1.Z = INT_TO_FIXED(273 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);	

	// Linia 2. (paret)
	V0.X = INT_TO_FIXED(1792)  ; V0.Z = INT_TO_FIXED(273 );
	V1.X = INT_TO_FIXED(1728 ); V1.Z = INT_TO_FIXED(273 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);

	// Linia 3. (portal)
	V0.X = INT_TO_FIXED(1728)  ; V0.Z = INT_TO_FIXED(273 );
	V1.X = INT_TO_FIXED(1664 ); V1.Z = INT_TO_FIXED(273 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,0,8,Propietats,&Nou_Sector);	

	// Linia 4 (paret)
	V0.X = INT_TO_FIXED(1664);    V0.Z = INT_TO_FIXED(273);
	V1.X = INT_TO_FIXED(1536);    V1.Z = INT_TO_FIXED(273 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);

	// Linia 5 (paret)
	V0.X = INT_TO_FIXED(1536 ); V0.Z = INT_TO_FIXED(273 );
	V1.X = INT_TO_FIXED(1536 ); V1.Z = INT_TO_FIXED(162 );
    V0.Y_SUP = V1.Y_SUP = INT_TO_FIXED(Parametres_Sector.AlturaSostre);
    V0.Y_INF = V1.Y_INF = INT_TO_FIXED(Parametres_Sector.AlturaTerra);
	SECTOR_AfegirLinia(V0,V1,0,8,8,Propietats,&Nou_Sector);
	

	MAPA_AfegirSector(Nou_Sector,&MapaMon->Mapa2D[NumeroDeMapa]);

	// Incrementem el numero de mapes 2D que tenim...
	MapaMon->N_Mapes2D++;
}
