//    Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
//    Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
//
//    This file is part of Jespa3D Engine.
//
//    Jespa3D Engine is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    Jespa3D Engine is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Jespa3D Engine; ; see the file COPYING. if not, write to 
//    the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//    Boston, MA  02111-1307  USA


#include "main.h"
//#include "malloc.h"


#ifdef __HAM__


//the krawall modules
//#include "modules.h"


char new_frame = 0;
// this function gets called by the Interrupt handler

void vblFunc()
{
  new_frame = 1;
  // Call the Krawall Update function
  //kramWorker();

}


#endif


 




/*******************\
| VARIABLES GLOBALS |
\*******************/





#ifdef __HAM__
   TOOL_PROFILER_INIT
    
    u32   frames_acumulated;
    
    
#endif

//char *extra_info;

int main(int argc, char *argv[])
{
	
//	int i;
    char cad[399];
#ifdef __SDL__
    char extra_info_error[399];//={"caca de vaca"};
#endif
    
    
//	tParametresPintarParet PPP;
//    tParametresPintarParet2 PPP2;
//	tParametresPintarPla	ParametresPintarPla;

	
	
	u8 Mostrar_Info = FALSE, Bloqueig_Select = 10, Carrega_per_defecte;
	u32 NCops_Renderitzat = 0;
#ifdef __SDL__	
	int ticks_ini,ticks_fi, ticks_fi_2;
	FILE	*fp = NULL;
//	tFixed_Jugador Info_File_Jugador;
#endif

    float FPS_Acumulat = 0.0, MEDIAN_FPS,time_obj,time_jug;
#ifdef __HAM__
    float 	time_render,FPS_Render,FPS_Objectes,FPS_Jugador;
#endif

		
	tSector *SectorActualJugador = NULL;



	//do{}while(!TeclaEscape());
	
//Bugs ?
//782,461,33.750000
//1591,248,0.000000
//1879,315,67.500000

	Carrega_per_defecte = CERT;
    
//    extra_info = extra_info_error;

    time_obj = time_jug = total_time_render_1 = total_time_render_2 = 1.0;



//	MemSet(cad,0x2,399);

	//	Jugador.AngleDireccioAnterior = Jugador.AngleDireccio = (char)(80.0f/INCREMENT_ANGLE_JUGADOR);

			
	Inicialitzar(); // Inicialitzaci del sistema de video, estructura de mapa, objectes, etc...

	// Sector de partida del jugador...
	ActualitzarJugador(&Jugador, &SectorActualJugador);

	// Inicialitzaci dels vertexs
//	MemSet(CachedVertexs,Jugador.AngleDireccio+1,MapaMon->NVertexs*sizeof(tCachedVertex));

	temps = 0;
	VertexsPrecalculats = FALS;
	
	
	do{
		
		
		
			
#ifdef __SDL__
		
			ticks_ini = SDL_GetTicks();
#endif
#ifdef __HAM__
//if(new_frame)
{
	//		TOOL_PROFILER_START
			frames_acumulated = 0;
#endif

#if !defined(__RENDER_CEIL__) || !defined(__RENDER_FLOOR__)
			BORRAR_PANTALLA;
#endif
			
/*		//	{
			    //	tParametresPintarParet PPP;
			    
			
						
			TOOL_TIME_START
			//frames_acumulated = 0;

//
								// Offsets de pintat...

			ParametresPintarPla.x1 = 0;
			ParametresPintarPla.x2 = 119;
						
		
			ParametresPintarPla.du = ONE_FX_16_16;
			ParametresPintarPla.dv = 0;

					
					
			ParametresPintarPla.u0 =	0;

					
					
					
			ParametresPintarPla.ptr_textura = Textura[7].GFX_MipMap[0].ptr_pixels;

			ParametresPintarPla.Intensitat = 50;
            
					
			

            for(i = 0; i < 159; i++)
            {
				ParametresPintarPla.y = i;
				ParametresPintarPla.v0 += 1024; //(INT_TO_FIXED(i&0x3F))<<8;
				
				//PPP.v1 = i&0x3F;
				//PintarParet(PPP);			
				//PintarTiraPla(&ParametresPintarPla);
                //TOOL_DMA3_SET(srcadr,HAM_WORK_VRAM,1024 >> 2,bitmode,timing)
                HAM_CopyMem_32bit(HAM_WORK_VRAM,Textura[37].GFX_MipMap[0].ptr_pixels,60);

            }

			TOOL_TIME_STOP
             time_obj = total_time;*/
			
			//}
            
            
        //    SDL_PutSlice(&PPP2);
  

#ifdef __HAM__
			TOOL_PROFILER_START;
#endif
			ActualitzarObjectes();
#ifdef __HAM__
			TOOL_PROFILER_END;
			time_obj = total_time;
#endif
			

#ifdef __HAM__
			TOOL_PROFILER_START;
#endif
			ActualitzarJugador(&Jugador, &SectorActualJugador);

#ifdef __SDL__
                MemSet(extra_info_error,0,sizeof(extra_info_error));
			    sprintf(extra_info_error,"Angle:%.2f\nX:%.1f\nZ:%.1f\nAltura:%i\nFO:%.2f\nFJ:%.2f\nFRL:%.2f FRO:%.2f\nMem.Max used:%i bytes\nReduccio sectors %i a %i",
				Jugador.AngleDireccio*INCREMENT_ANGLE_JUGADOR,
				FIXED_TO_DOUBLE(Jugador.X),
				FIXED_TO_DOUBLE(Jugador.Z),
				Jugador.Altura,
				1000.0/time_obj,1000.0/time_jug,1000.0/total_time_render_1,1000.0/total_time_render_2,
				mem_max_used,
				sectors_prerenderitzats,sectors_renderitzats);

#endif

#ifdef __HAM__
			TOOL_PROFILER_END;
			time_jug = total_time;
#endif

#ifdef __HAM__
		//	TOOL_PROFILER_START;
#endif
			RENDER_Renderitzar(&Jugador,SectorActualJugador);
#ifdef __HAM__
		//	TOOL_PROFILER_END;
		//	total_time_render_1 = total_time;
#endif

			//time_render1 = total_time;
//			portals_renderitzats = 0;
			
			NCops_Renderitzat++;
			
#ifdef __SDL__
			ticks_fi_2 = ticks_fi = SDL_GetTicks();
			while((ticks_fi_2 - ticks_ini) <40) ticks_fi_2 =  SDL_GetTicks(); 
						
            FPS = (1000.0f)/( (float)(ticks_fi-ticks_ini+1));
			FPS_Acumulat = FPS_Acumulat + FPS;
			MEDIAN_FPS = FPS_Acumulat/NCops_Renderitzat;

#endif
#ifdef __HAM__
	     
			
		//	TOOL_PROFILER_END
		//	time_obj = total_time;
            FPS                = 1000.0/(total_time_render_1 + time_jug + time_obj);
            FPS_Acumulat       = FPS_Acumulat + FPS;
            MEDIAN_FPS         = FPS_Acumulat/NCops_Renderitzat;
#endif 

//if(ham_prof_frames_elapsed == 0)  while(ham_prof_frames_elapsed < 5);
        
      


		
        if(Bloqueig_Select > 0) Bloqueig_Select-- ;
		if(Tecla_Select() && !Bloqueig_Select) { Mostrar_Info = 1 - Mostrar_Info; Bloqueig_Select = 10; }
		


        if(Mostrar_Info)
        {
    
//FO:%.2f\nFJ:%.2f\nFRL:%.2f FRO:%.2f \n \n\

                MemSet(cad,0,sizeof(cad));
			    sprintf(cad,"Xj:%.1f Zj:%.1f Yj:%i\n\
Aj:%.2f\n \n\
FPS:%.2f MFPS:%.2f\n\
Mem.Max used:%i bytes\n\
R.Sectors %i a %i",
				FIXED_TO_DOUBLE(Jugador.X),
				FIXED_TO_DOUBLE(Jugador.Z),
				Jugador.Altura,
   				Jugador.AngleDireccio*INCREMENT_ANGLE_JUGADOR,
				FPS,
                MEDIAN_FPS,
          /*      1000.0/time_obj,
                1000.0/time_jug,
                1000.0/total_time_render_1,
                1000.0/total_time_render_2,*/
				mem_max_used,
				sectors_prerenderitzats,sectors_renderitzats);


          EscriureTextAPantalla(0,0,cad,0);

		  sprintf(cad,"Version %.03f%c",JESPA3D_VERSION,
#ifdef __RENDER_RECURSIU__
'R'
#else
' '
#endif
		);

/*			sprintf(extra_info,"Angle:%0.2f\nX:%0.1f\nZ:%0.1f\nAltura:%i\nFO:%0.2f\nFJ:%0.2f\nFRL:%3.2f FRO:%3.2f\nMem.Max used:%i bytes\nReduccio sectors %i a %i",
				Jugador.AngleDireccio*INCREMENT_ANGLE_JUGADOR,
				FIXED_TO_DOUBLE(Jugador.X),
				FIXED_TO_DOUBLE(Jugador.Z),
				Jugador.Altura,
				1000.0/time_obj,1000.0/time_jug,1000.0/total_time_render_1,1000.0/total_time_render_2,
				mem_max_used,
				sectors_prerenderitzats,sectors_renderitzats);

				EscriureTextAPantalla(0,0,extra_info,0);

				sprintf(cad,"Version %.03f%c",JESPA3D_VERSION,
#ifdef __RENDER_RECURSIU__
'R'
#else
' '
#endif
		);*/

			EscriureTextAPantalla(0,ALTURA_PANTALLA-8,cad,0);
/*            EscriureNumeroRealAPantalla(56,0,Jugador.AngleDireccio*INCREMENT_ANGLE_JUGADOR,0);

            EscriureNumeroRealAPantalla(16,8,FIXED_TO_DOUBLE(Jugador.X),0);
            EscriureNumeroRealAPantalla(16,16,FIXED_TO_DOUBLE(Jugador.Z),0);
            EscriureNumeroRealAPantalla(56,24,Jugador.Altura,0);
			EscriureNumeroRealAPantalla(108,40,mem_max_used,0);*/
			
			}






    //        EscriureNumeroRealAPantalla(32,32,/*FPS_Acumulat/NCops_Renderitzat*/ FPS,0);
			

	    ESCRIURE_INFORMACIO_A_PANTALLA;

		temps ++;
#ifdef __HAM__
new_frame = 0;}
#endif

	

	}while(!TeclaEscape());
	
//	Alliberar_Punter(_x1); 	Alliberar_Punter(_x2); 	
//	Alliberar_Punter(_ymax); 	Alliberar_Punter(_ymin);


	DeInicialitzar();



	exit(0);
}







void Inicialitzar()
{

    JUGADOR_Init();

#ifdef __SDL__
    
	Inicialitzar_SDL();

	InicialitzarTeclat();

    Inicialitzacio_Variables_Constants();

    CreacioLUTS();

#endif

#ifdef __HAM__

   //ham_Init();
   
   //ham_SetBgMode(4);
   SetMode(MODE_4 | BG2_ENABLE);
   
   // Inicialitzaci parametres de escalat per amplificar l'amplada dels pixels verticals x2
#ifdef __BAIX_DETALL_Y
   R_BG2ROTDMX = 0;
   R_BG2ROTDMY = 0x80;  // Escalat vertical amplificat x2
#endif

   // initialize Krawall
 /* kragInit(KRAG_INIT_STEREO);

  // initialize Module play
  krapPlay(&mod_song11, 0, 0);

  // start Krawall interrupt (see Krawall docs for details)
  ham_StartIntHandler(INT_TYPE_TIM1,&kradInterrupt);

  // start hblFunc every frame

  ham_StartIntHandler(INT_TYPE_VBL,&vblFunc);*/



#endif

   // Inicialitza el mapa de demostraci...
	MON_Demo();

  if(!InicialitzarImatges())
   {
 #ifdef __HAM__
//    ham_VBAText("\n No s'ha pogut inicialitzar les imatges!!!!");	
#endif
	   exit(1);
   }

   if(!Ini_Animacions())
   {
#ifdef __HAM__
//    ham_VBAText("\n No s'ha pogut inicialitzar le animacions!!!!");	
#endif

	   exit(1);
   }


    if(!Ini_Objectes())
	{
 #ifdef __HAM__
//    ham_VBAText("\n No s'ha pogut inicilitzar els objectes!!!!");	
#endif
		exit(1);
	}


	//
	// Reserva de taules de suport.
	//
	Reservar_Memoria(CachedVertexs,tCachedVertex,MapaMon->NVertexs);

	if(CachedVertexs == NULL)
	{
		PRINT_ERROR("\n Memoria insufucient per vertexs!!",0);
		exit(EXIT_FAILURE);	
	}

	
   
   
   
 
    
//	ReservarMemoriaInit;
   
//   _ymin = (s16 *)malloc(sizeof(s16)*AMPLADA_PANTALLA_EFECTIVA);
//Reservar_Memoria(_ymin, s16, AMPLADA_PANTALLA_EFECTIVA);
//   _ymax = (s16 *)malloc(sizeof(s16)*AMPLADA_PANTALLA_EFECTIVA);
//Reservar_Memoria(_ymax, s16, AMPLADA_PANTALLA_EFECTIVA);

//   _x1 = (s16 *)malloc(sizeof(s16)*ALTURA_PANTALLA_EFECTIVA);
//	Reservar_Memoria(_x1, s16, ALTURA_PANTALLA_EFECTIVA);
//   _x2 = (s16 *)malloc(sizeof(s16)*ALTURA_PANTALLA_EFECTIVA);
//	Reservar_Memoria(_x2, s16, ALTURA_PANTALLA_EFECTIVA);

/*   if(_ymin == NULL || _ymax == NULL)// || _x1 == NULL || _x2 == NULL ) 
	{
		exit(1);
	}*/

    		

 
	


}

int dir_aigua = -1;


// Provisional per demostraci...
void ActualitzarObjectes()
{
	int /*altura_terra,*/i;

// Actualitzaci animacions...

	if((temps & 0x3) == 0)
	{
		for(i = 0;i < N_ANIMATIONS;i++)
		{
			TaulaAnimacions[i]->Frame = TaulaAnimacions[i]->Frame->PProximFrame;
			TaulaAnimacions[i]->Textura = TaulaAnimacions[i]->Frame->Textura;
		}
	}

 // Ok, procedim a actualitzar sector 18 (pou)

//	altura_terra = MapaMon->Sector[18].AlturaTerra;
		
//	if(	altura_terra < -40 || altura_terra > -16) dir_aigua *= -1;

//	altura_terra += dir_aigua;

//	MapaMon->Sector[18].AlturaTerra = altura_terra;

//	franja_temps = temps >> 2;

//	MapaMon->Sector[18].Textura_Terra = 8 + (franja_temps & 0x3);


	


	



	
}


void DeInicialitzar()
{
	DeInit_Objectes();
	Alliberar_Punter(CachedVertexs);
}
