//    Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
//    Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
//
//    This file is part of Jespa3D Engine.
//
//    Jespa3D Engine is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    Jespa3D Engine is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Jespa3D Engine; ; see the file COPYING. if not, write to 
//    the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//    Boston, MA  02111-1307  USA

#ifndef __TEMPS__
#define __TEMPS__

#include "definicions.h"

#ifdef __SDL__
#include "float.h"

extern int t0, t1;
//extern float FPS;

#define TOOL_TIME_INIT			
#define TOOL_TIME_START		{t0 = SDL_GetTicks();}
#define TOOL_TIME_STOP		{t1 = SDL_GetTicks(); (t1-t0) ==  0 ? (FPS = DBL_MAX) : (FPS = (1.0f)/( (float)(t1 - t0)));}
#endif


#ifdef __HAM__
#define TOOL_TIME_INIT		TOOL_PROFILER_INIT
#define TOOL_TIME_START		TOOL_PROFILER_START
#define TOOL_TIME_STOP 		TOOL_PROFILER_END
#endif


#endif
