#ifndef __TGA_H__
#define __TGA_H__

/**********\
| INCLUDES |
\**********/

#include "Types.h"
#include "stdio.h"

/********\
| MACROS |
\********/

#define EXIT	{fclose(fp_TGA);return FALSE;}
#define UnLoadTGA(n) free(n.pixels);

#define rgb_values(pixel,r,g,b)\
r = (pixel&0x000000FF) ;\
g = (pixel&0x0000FF00) >> 8;\
b = (pixel&0x00FF0000) >> 16;\
\


/******************\
| GLOBAL VARIABLES |
\******************/

extern FILE *fp_err;
extern FILE *fp_out;

/************\
| PROTOTYPES |
\************/

int  LoadTGA(char *filename, tImage *Image); // Load info TGA into struture image...
void SaveTGA(char *filename, tImage *Image); // Save structure image into TGA file...


#endif