const char cad_reduce_header[]={
";\n"
";\n"
";To disable any option that takes a file name, comment out that whole line.\n"
"; e.g. mipmaps, custom palette, raw files\n"
";\n"
";\n"
"\n"
"[Options]\n"
"Dither_Image            n               ;Diffusion dither output image.\n"
"										;Recommended, unless you use Photoshop\n"
"										;afterwards.\n"
"Dither_Mips             n               ;Diffusion dither can really hammer\n"
"										;small images (mipmaps).\n"
"Dither_Shade            n               ;Diffusion dither shading table.\n"
"										;Not recommended, can cause banding.\n"
"Dither_Glenz            n               ;Diffusion dither glenz table.\n"
"										;Not sure, try it for yourself.\n"
"\n"
"Bits_Per_Primary        8               ;1-8.\n"
"										;All colours will be posturized to\n"
"										;this bit depth.  Pointless to have\n"
"										;it >6 for VGA, lower values speed\n"
"										;things up and use less memory, but\n"
"										;don't look as good.\n"
"\n"
"Custom_Palette_File     palette.pal    ;Forces a predefined palette.  If the\n"
"										;file is anything other than .pcx\n"
"										;it will be treated as a 768 byte raw\n"
"										;palette file.\n"
"										;This palette is shuffled by the\n"
"										;quantization. I try to restore it,\n"
"										;but similar or duplicate colours\n"
"										;may move within the palette.\n"
"										;Unless this is a good palette for\n"
"										;all the input files, shading\n"
"										;and glenz, you may get poor results.\n"
"\n"
"Shading_Table           y               ;Output a shading table.\n"
"Shading                 y               ;Optimize palette for shading.\n"
"										;Shading a colour outputs a gradient\n"
"										;from Shade_Colour to This_Colour.\n"
"Tinting                 y               ;Optimize palette for tinting.\n"
"										;Tinting a colour outputs a gradient\n"
"										;from This_Colour to Tint_Colour.\n"
"\n"
"										;Increases number of colours:\n"
"										;new_num = old_num * (Shades + Tints).\n"
"\n"
"Shade_Colour            0 0 0           ;Base shade colour.\n"
"Shade_Ambient           0 0 0           ;Darkest a shade can be.\n"
"Shades                  128              ;Number of shades in shade gradient.\n"
"Tint_Colour             255 255 255     ;Base tint colour.\n"
"Tint_Saturation         255 255 255     ;Brightest a tint can be.\n"
"Tints                   128               ;Number of tints in tint gradient.\n"
"\n"
"Glenz_Table             n               ;Output a glenz table.\n"
"Optimal_Glenz           n               ;Optimize palette for glenzing.\n"
"										;Increases number of colours:\n"
"										;new_num = old_num * old_num (!!).\n"
"\n"
"Glenz_Alpha             128             ;0-255.\n"
"										;Alpha blending value for glenz.\n"
"										;Fastest if 128 (50/50 blend).\n"
"										;alpha = Glenz_Alpha/256.\n"
"										;glenz_col = (1 - alpha) * old_col + \n"
"													 alpha * new_col.\n"
"Filter_Glenz            n               ;Glenz filtering rather than alpha-\n"
"										;blending.\n"
"										;glenz_col = old_col * new_col.\n"
"\n"
"Quantization_Tree       y               ;Output the quantization tree.\n"
"										;Used to convert any truecolour image\n"
"										;to reduced palette.\n"
"\n"
";\n"
"\n"
"[Input_Files]\n"
"\n"
";Standard 256 colour DPaint type PCX\n"
";files, preferably of equal width.\n"
";The number of files, and height of \n"
";each file doesn't matter, as long as\n"
";you have enough ram for them all.\n"
";You can also have 8/16/24/32 bit\n"
";uncompressed TGA files, just use\n"
";\'pic1.tga\', for example.  It\n"
";shouldn't matter if they're flipped\n"
";vertically or horizontally, and you\n"
";can mix different bit depths with\n"
";separate files.\n"
";          ** Caution **\n"
";You get a large number of colours\n"
";with direct colour images, mixing\n"
";several 16/24/32 bit files and/or\n"
";shading/glenzing may well be\n"
";horrendously slow.\n"
"\n"};


const char cad_reduce_tail[]={
"\n[Output_Files]\n"
"Image_File              GFX_WB.pcx     ;All input files will be concatenated\n"
"                                        ;into this file, hence the desire for\n"
"                                        ;equal widths.\n"
"Mip1_File               mip1_WB.pcx        ;1/2 Mipmap.\n"
"Mip2_File               mip2_WB.pcx        ;1/4 Mipmap.\n"
"Mip3_File               mip3_WB.pcx        ;1/8 Mipmap.\n"
"\n"
"\n"
"Shade_File              shade.pcx\n"
"Raw_Shade_File          shade.raw       ;Raw 8bit data.\n"
";Glenz_File              glenz.pcx\n"
"Raw_Glenz_File          glenz.raw       ;Raw 8bit data.\n"
";Tree_File               quant.tre       ;Binary tree for quantization.\n"
"                                        ;All pointers are relative to zero\n"
"                                        ;(start of file).\n"
";Palette_File            pal.act         ;8bit per primary.\n"
"\n"
";\n"
"\n"
"[End]\n"
"\n"
";"};
