@ /***********************\
@ | PROTOTIPUS DE FUNCIONS |
@ \***********************/


.CODE 32
.SECTION .iwram


@ Prototipus l'aritmtica de punt fixe 24:8

.GLOBL  ARM_MulFx_24_8
.GLOBL  ARM_DivFx_24_8



@@@@@@@@@@@@@@@@@@@@@@@- PROTOTIPUS DE FUNCIONS -@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@



.TYPE   ARM_MulFx_24_8, function
.TYPE   ARM_DivFx_24_8, function


.ALIGN
@ /***************************\
@ | IMPLEMENTACIO DE FUNCIONS |
@ \***************************/

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@
@ LA DIVISIO DE PUNT FIXE 24:8...
@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_MulFx_24_8:

@
@ Entrades
@ --------
@
@ r0 = Operant 1.
@ r1 = Operant 2.
@
@ Sortida
@ -------
@
@ r0 = Resultat de la multiplicaci.
@

        

	MUL    r2,r1,r0	     	     @ r2 <- r1 * r0
	MOV    r0,r2,ASR #8	     @ r0 <- r2 >> 8 
        
        BX     lr


@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@
@ LA DIVISIO DE PUNT FIXE 24:8...
@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_DivFx_24_8:


@
@  R0:R1 = Numerador.
@  R0 = Denominador, Quocient.
@
@ Guardem parametres entrada...


              
 

@ Divisi r0 dividit per r1

		   	

		   MOV	   r0,r0,ASL #8

		   @ Executem la divisi de 32:32 bits mitjanant una interrupci SWI...

		   SWI	   0x60000                @ En mode ARM, el numero d'interrupci s 
						  @ NN*10000h (NN s el numero hexadecimal de la interrupci)

                   
                   BX      lr

	



