#ifndef ___ARITEMTICA_FIXE_H
#define ___ARITEMTICA_FIXE_H

///////////////////////////////////////////////////////////////
//															 //
//     DEFINICI DE LA CLASSE ARITMTICA FIXE 24:8   	     //
//														     //
// ------------------------------------------------------	 //
//														     //
//														     //
// jespa : u1034294@correu.udg.es						     //
//  \_____												     //
//														     //
// Agraiments a : Night Stalker                              //
//														     //
///////////////////////////////////////////////////////////////



////////////////////////////////////////////
// DEFINCI DE LA CLASSE ARITMTICA 24:8 //
////////////////////////////////////////////

//#include "stdio.h"

//#include "myGBA.h"
//#include "ctype.h"
//#include "render.h"

//////////////////
// DEFINICIONS  //
//////////////////

#define ONE     0x100    



typedef long   Fixed32;
	

//////////////////////
// ...DE CONVERSI  //
//////////////////////

#define INT_2_FIXED(x)	((x) << 8)
#define FIXED_2_INT(x)  ((x) >> 8)
#define ROUND_FIXED_2_INT(x)  (((x) >> 8) + 0x8)

#define DOUBLE_2_FIXED(x) ((long)(x * 256.0))
#define FIXED_2_DOUBLE(x) (((double) x) / 256.0)



#define MAX_FX 0x7FFFFFFF
#define MIN_FX 0x80000000



////////////////////////////////////////////////
// OPERACIONS ARITMETIQUES EN PUNT FIXE 24:8 //
////////////////////////////////////////////////

#ifdef __HAM__

#ifdef __cplusplus
    extern "C"{
#endif

 extern inline long ARM_MulFx_24_8(long num1,long num2);
 extern inline long ARM_DivFx_24_8(long num1,long num2);

#ifdef __cplusplus
  }
#endif

#define MulFx ARM_MulFx_24_8
#define SquareFx ARM_SquareFx_24_8

#define DivFx ARM_DivFx_24_8
#define OneOverFx ARM_OneOverFx_24_8



#else

	#define MulFx(x,y) (((y)*(x)) >> 8)
	#define DivFx(numerador,denominador) (((numerador) << 8)/(denominador))

#endif


#endif

