#include "Grafics.h"


#if defined( _WINDOWS) || defined(_LINUX)

    SDL_Surface *Video;


void Inicialitzar_SDL()
{

   if( SDL_Init(SDL_INIT_VIDEO) < 0 ) {
        fprintf(stderr,
                "Couldn't initialize SDL: %s\n", SDL_GetError());
        exit(1);
    }

	atexit(SDL_Quit);


	Video = SDL_SetVideoMode(AMPLADA_PANTALLA, ALTURA_PANTALLA, 8, SDL_SWSURFACE |SDL_HWPALETTE | SDL_FULLSCREEN | SDL_DOUBLEBUF);
    if ( Video == NULL ) {
        fprintf(stderr, "Couldn't set 640x480x8 video mode: %s\n",
                        SDL_GetError());
        exit(1);
    }
}
    












void SDL_PutSprite(const tParametresPutSprite *P_PutSprite)
{
	int x,y,y_text, x_text, y1, y2, x1 , x2, x2d, y2d;
	char *dest_ptr, *src_ptr,color;

	if(((P_PutSprite->y_pos+P_PutSprite->altura_sprite) < 0) || ((P_PutSprite->y_pos) >= ALTURA_PANTALLA) || ((P_PutSprite->x_pos + P_PutSprite->amplada_sprite) < 0) || (P_PutSprite->x_pos >= AMPLADA_PANTALLA)) return;
	else
	{
		y1 = max(0,P_PutSprite->y_pos);
		y2 = min(ALTURA_PANTALLA-1,(P_PutSprite->y_pos+P_PutSprite->altura_sprite));

		x1 = max(0,P_PutSprite->x_pos);
		x2 = min(AMPLADA_PANTALLA-1,(P_PutSprite->x_pos+P_PutSprite->amplada_sprite));

		y_text = y1 - P_PutSprite->y_pos;
		x_text = x1 - P_PutSprite->x_pos;

		dest_ptr = (char *)(sdl_work_vram + AMPLADA_PANTALLA*y1 + x1);
		src_ptr = (char *)(P_PutSprite->src + y_text*P_PutSprite->amplada_sprite + x_text);

		y = y2d = y2 - y1;
		x2d = x2 - x1;

		do
		{
			x = x2d;

			do{
			
				color = *(src_ptr++);
				if(color != P_PutSprite->mascara)*(dest_ptr) = color;
				dest_ptr++;
				x--;

			}while(x > 0);

			dest_ptr += (AMPLADA_PANTALLA-P_PutSprite->amplada_sprite);
			src_ptr += x_text;
			y--;

		}while(y > 0);
				
	
	}
	
}
#endif



void PutPixel(int x, int y, char color)
{
 // Aquesta funci noms acceptar la seva utilitzaci a canvi de tenir una resoluci
 // de 240 x 160.
 //	El propietari no es fa responsable de possibles danys ocasionats en el vostre sistema.
 //
 //  ESTAS ADVERTIT !!!!
 //

#ifdef __SDL__

 if(SDL_MUSTLOCK(Video))
 {
  SDL_LockSurface(Video);
 }

  //*((char *)(Video->pixels) + (y << 7) + (y << 6) + (y << 5) + (y << 4) + x) = color;

 *((char *)(Video->pixels) + y*AMPLADA_PANTALLA + x) = color;

 SDL_UnlockSurface(Video);


#endif

#ifdef __HAM__

 ham_PutPixel (x, y, color);

#endif

}


