#include "Textura.h"

#include "../Dades/Grafics/Textures/Textures.raw.c"
#include "../Dades/Grafics/Textures/lletres.raw.c"
#include "../Dades/Grafics/Textures/master.pal.c"




/******************\
| VARIABLES GLOBALS|
\******************/


int LOG2_AMPLADA_TEXTURA;
int LOG2_ALTURA_TEXTURA;




char          **Textura[MAX_TEXTURES];
char *Lletra[MAX_LLETRES];
char  Obj_Lletra[MAX_LLETRES];

//-----------------------------------------------------------------------------

#if defined( _WINDOWS) || defined(_LINUX)

 SDL_Color   Paleta[256];

#endif





void InicialitzarTextures()
{
  int i,k;
	
	//Textura[0][0] = (char *) paret1_Bitmap;
// NumeroTexturaActual = 0;


  

  for(k = 0; k<MAX_TEXTURES;k++)
  {
  
	  Textura[k] = (char **) malloc(sizeof(u8 *)*ALTURA_TEXTURA);

	  for(i=0 ; i<64 ; i++)
	  {
	   Textura[k][i] = (char *)(Textures_Bitmap + (i*AMPLADA_TEXTURA) + (k*AMPLADA_TEXTURA*ALTURA_TEXTURA));
	  }
	

	 
	 
  
  }
  
  // Inicialitzaci de lletres...
  for(i=0 ; i<MAX_LLETRES ; i++)
  {
		  Lletra[i] =	(char *)(lletres_Bitmap + i*AMPLADA_LLETRA*ALTURA_LLETRA);

          #ifdef __HAM__
                Obj_Lletra[i] = ham_CreateObj((void *)Lletra[i],  // A pointer to the tile data for this object
                              0,                       // obj_shape
                              0,                       // obj_size
                              OBJ_MODE_NORMAL,         // obj_mode
                              1,                       // col_mode
                              0,                       // pal_no
                              0,                       // mosaic
                              0,                       // hflip
                              0,                       // vflip
                              0,                       // dbl_size
                              0,                       // prio
                              30,                      // x position of sprite on screen
                              30);                     // y position of sprite on screen
                              


          #endif
  }
  
  

  
  LOG2_AMPLADA_TEXTURA = log_2(AMPLADA_TEXTURA);
  LOG2_ALTURA_TEXTURA = log_2(ALTURA_TEXTURA);

#if defined( _WINDOWS) || defined(_LINUX)

  for(i = 0 ; i < 256 ; i++)
  {
	   Paleta[i].r = RGB_GET_R_VALUE(master_Palette[i]);//(paret1_Palette[i] & 0x001F) << 3;
	   Paleta[i].g = RGB_GET_G_VALUE(master_Palette[i]);
	   Paleta[i].b = RGB_GET_B_VALUE(master_Palette[i]);//(paret1_Palette[i] & 0x7B00) >> 7;

  }
  
  SDL_SetPalette(Video, SDL_LOGPAL|SDL_PHYSPAL, Paleta, 0, 256);

#endif

#ifdef __HAM__

  ham_LoadBGPal((u16 *)master_Palette,SIZEOF_16BIT(master_Palette));
  ham_LoadObjPal256((void *)&master_Palette);    // a pointer to the palette data that is to be loaded

#endif

}



 


