@   Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
@   Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
@
@   This file is part of Jespa3D Engine.
@
@   Jespa3D Engine is free software; you can redistribute it and/or modify
@   it under the terms of the GNU General Public License as published by
@   the Free Software Foundation; either version 2 of the License, or
@   (at your option) any later version.
@
@   Jespa3D Engine is distributed in the hope that it will be useful,
@   but WITHOUT ANY WARRANTY; without even the implied warranty of
@   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@   GNU General Public License for more details.
@
@   You should have received a copy of the GNU General Public License
@   along with Jespa3D Engine; ; see the file COPYING. if not, write to 
@   the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
@   Boston, MA  02111-1307  USA


@ /***********************\
@ | ZONA MEMORIA i TAMANY  |
@ \***********************/

.SECTION .iwram  @,"ax",%progbits
.ARM
.ALIGN



.include "ARM_FUNCTIONS/ARM_Defines.s"
.include "ARM_FUNCTIONS/ARM_Util.s"

.equ		ONE_FX,				1 << PART_FRACCIONAL


@ /***********************\
@ | PROTOTIPUS DE FUNCIONS |
@ \***********************/


.GLOBL   ARM_PutHorizontalSlice
.GLOBL   ARM_MemSet16


.TYPE    ARM_PutHorizontalSlice, function
.TYPE    ARM_MemSet16, function


@ /**************************\
@ | IMPLEMENTACIO DEFUNCIONS |
@ \**************************/

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@{
@    int x1,mask_u, amplada_u,                   // r0.
	x1				.req	r0


@        x2, x2d,                                // r1.
	x2				.req	r1
	x2d				.req	r1


@        offset_video,y, log2_V, mask_v, altura_v;// r2.
	offset_video	.req	r2
	y				.req	r2	
@	log2_V			.req	r2
@	mask			.req	r2
@	altura_v		.req	r2
	x2d_part		.req	r2

	
@    int ID_Textura;void *void_ptr;              // r3.
	ID_Textura		.req	r3
	void_ptr		.req	r3
	aux2			.req	r3

@        tComponentsPlaSector *CPS; int du;      // r4.
	CPS				.req	r4
	du				.req	r4

@
@    int   dv,                                   // r5.
	dv				.req	r5
	
@          intensitat; void *ptr_intensitat;     // r6.
	intensitat		.req	r6
	ptr_intensitat	.req	r6

@    int   Escale_FX, MIPmap_Adequat, log2_U,    // r7.
	Escale_FX		.req	r7
	MIPmap_Adequat	.req	r7
	log2_U			.req	r7
	color			.req	r7


@          centre_u,u_ini,                          // r8.
	centre_u		.req	r8
	u_ini			.req	r8


@          centre_v,v1;                          // r9.
	centre_v		.req	r9
	v_ini			.req	r9

@
@   int   Propietats;                            // r10.
	Propietats		.req	r10

@   char  *ptr_dst,                              // r11.
	ptr_dst			.req	r11

@         *ptr_src;                              // r12.
	ptr_src			.req	r12


@   int   aux1;                                  // r14
	aux1			.req	r14





@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@



ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITHOUT_EFFECTS:

          TSTS         x1, #1    @ Si (r0 mod 2 == 1) llavors s'ha de escriure mitja paraula...
        ANDNE     aux1, u_ini, #0x3F0000

        @ v <- (zmapa) & 64
        ANDNE     aux2, v_ini, #0x3F0000

        ADDNE     aux1, aux1, aux2, lsl #6

        LDRNEB    color, [ptr_src, aux1, lsr #16]
        
.ifdef __BAIX_NIVELL_X

           ORRNE     color, color, color, lsl #8
.else

		LECTURA_VIDEO_MES_ENMASCARAT	color, x1, ptr_dst, aux1

.endif

@			dest_ptr = ptr_textura[u+v];;

            STRNEH    color,[ptr_dst] ,#2

@           x = x + dx_mapa

            ADDNE     u_ini,u_ini,du

@           z = z + dz_amap

            ADDNE     v_ini,v_ini,dv
            
            


@  		    y2d --;
       SUBNE    r1, r1, #1
        
        
        MOV         x2d_part, x2d, lsr #1
        CMP         x2d_part, #0

        BEQ         ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITHOUT_EFFECTS_Acaba_Pintar_Ultim_Pixel




@------------------------------------------------------------------------------------------
@==========================================================================================
@HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH

ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITHOUT_EFFECTS_Continua_Pintar_ScanLine_Fast:

            @ Determinacoi component u ...
            
            @ u <- (xmapa) & 64

            AND     aux1, u_ini, #0x3F0000
            
            @ v <- (zmapa) & 64
            AND     aux2, v_ini, #0x3F0000
            
            ADD     aux1, aux1, aux2, lsl #6
            
            LDRB    color, [ptr_src, aux1, lsr #16]
            
            
@          x = x + dx_mapa

            ADD     u_ini,u_ini, du

@          z = z + dz_amap

            ADD     v_ini,v_ini,dv

            @ u <- (xmapa) & 64

            AND     aux1, u_ini, #0x3F0000

            @ v <- (zmapa) & 64
            AND     aux2, v_ini, #0x3F0000

            ADD     aux1, aux1, aux2, lsl #6

            LDRB    aux1, [ptr_src, aux1, lsr #16]



.ifdef __BAIX_NIVELL_X

			ORR     aux1,aux1,aux1, lsl #8
            ORR     color,color,color, lsl #8
            ORR     color,color,aux1, lsl #16
.else


            ORR     color, color, aux1, lsl #8


			LECTURA_VIDEO_MES_ENMASCARAT	color, x1, ptr_dst, aux1

.endif



@				dest_ptr = ptr_textura[u+v];;

.ifdef  __BAIX_NIVELL_X

                STR    color,[ptr_dst] ,#4
.else
                STRH    color,[ptr_dst] ,#2
.endif
                
@               x = x + dx_mapa

                ADD     v_ini,v_ini,dv

@               z = z + dz_amap

                ADD     u_ini,u_ini,du


@				y2d --;
                SUBS    x2d_part, x2d_part, #1
		
@		}while(y2d > 0);

			    BNE     ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITHOUT_EFFECTS_Continua_Pintar_ScanLine_Fast


@==========================================================================================
@HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH
@------------------------------------------------------------------------------------------


ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITHOUT_EFFECTS_Acaba_Pintar_Ultim_Pixel:



		
            TSTS         x2d, #1    @ Si (r12 mod 2 == 1) llavors {s'ha de escriure mitja paraula...}

            ANDNE     aux1, u_ini, #0x3F0000

            @ v <- (zmapa) & 64
            ANDNE     aux2, v_ini, #0x3F0000

            ADDNE     aux1, aux1, aux2, lsl #6

            LDRNEB    color, [ptr_src, aux1, lsr #16]

.ifdef  __BAIX_NIVELL_X
            ORRNE     color,color,color, lsl #8
.else

	LECTURA_VIDEO_MES_ENMASCARAT	color, x1, ptr_dst, aux1

.endif
            STRNEH    color,[ptr_dst]

			B		  Acabar_PutHorizontalSlice	







@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS:

          TSTS         x1, #1    @ Si (r0 mod 2 == 1) llavors s'ha de escriure mitja paraula...
        ANDNE     aux1, u_ini, #0x3F0000

        @ v <- (zmapa) & 64
        ANDNE     aux2, v_ini, #0x3F0000

        ADDNE     aux1, aux1, aux2, lsl #6

        LDRNEB    color, [ptr_src, aux1, lsr #16]
.ifdef __WITH_EFFECTS__
        LDRNEB    color, [ptr_intensitat, color, lsl #8]
.endif
        
.ifdef __BAIX_NIVELL_X

           ORRNE     color, color, color, lsl #8
.else
		    LECTURA_VIDEO_MES_ENMASCARAT	color, x1, ptr_dst, aux1
.endif

ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS_Escriure_primer_pixel_a_VRAM:

@			dest_ptr = ptr_textura[u+v];;

            STRNEH    color,[ptr_dst] ,#2

@           x = x + dx_mapa

            ADDNE     u_ini,u_ini,du

@           z = z + dz_amap

            ADDNE     v_ini,v_ini,dv
            
            


@  		    y2d --;
       SUBNE    r1, r1, #1
        
        
        MOV         x2d_part, x2d, lsr #1
        CMP         x2d_part, #0

        BEQ         ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS_Acaba_Pintar_Ultim_Pixel




@------------------------------------------------------------------------------------------
@==========================================================================================
@HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH

ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS_Continua_Pintar_ScanLine_Fast:

            @ Determinacoi component u ...
            
            @ u <- (xmapa) & 64

            AND     aux1, u_ini, #0x3F0000
            
            @ v <- (zmapa) & 64
            AND     aux2, v_ini, #0x3F0000
            
            ADD     aux1, aux1, aux2, lsl #6
            
            LDRB    color, [ptr_src, aux1, lsr #16]
.ifdef __WITH_EFFECTS__
            LDRB    color, [ptr_intensitat, color, lsl #8]
.endif
            
            
@          x = x + dx_mapa

            ADD     u_ini,u_ini, du

@          z = z + dz_amap

            ADD     v_ini,v_ini,dv

            @ u <- (xmapa) & 64

            AND     aux1, u_ini, #0x3F0000

            @ v <- (zmapa) & 64
            AND     aux2, v_ini, #0x3F0000

            ADD     aux1, aux1, aux2, lsl #6

            LDRB    aux1, [ptr_src, aux1, lsr #16]
.ifdef __WITH_EFFECTS__
            LDRB    aux1, [ptr_intensitat, aux1, lsl #8]
.endif

.ifdef __BAIX_NIVELL_X

			ORR     aux1,aux1,aux1, lsl #8
            ORR     color,color,color, lsl #8
            ORR     color,color,aux1, lsl #16
.else

            ORR     color, color, aux1, lsl #8
@			LECTURA_VIDEO_MES_ENMASCARAT	color, x1, ptr_dst, aux1
.endif

ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS_Escriure_pixel_a_VRAM_Pla_1:

@				dest_ptr = ptr_textura[u+v];;

.ifdef  __BAIX_NIVELL_X

                STR     color,[ptr_dst] ,#4
.else
                STRH    color,[ptr_dst] ,#2
.endif
                
@               x = x + dx_mapa
                ADD     v_ini,v_ini,dv

@               z = z + dz_amap
                ADD     u_ini,u_ini,du

@				y2d --;
                SUBS    x2d_part, x2d_part, #1
		
@		}while(y2d > 0);

			    BNE     ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS_Continua_Pintar_ScanLine_Fast


@==========================================================================================
@HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH
@------------------------------------------------------------------------------------------


ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS_Acaba_Pintar_Ultim_Pixel:

		
            TSTS         x2d, #1    @ Si (r12 mod 2 == 1) llavors {s'ha de escriure mitja paraula...}

            ANDNE     aux1, u_ini, #0x3F0000

            @ v <- (zmapa) & 64
            ANDNE     aux2, v_ini, #0x3F0000

            ADDNE     aux1, aux1, aux2, lsl #6

            LDRNEB    color, [ptr_src, aux1, lsr #16]

.ifdef __WITH_EFFECTS__
            LDRNEB    color, [ptr_intensitat, color, lsl #8]
.endif


.ifdef  __BAIX_NIVELL_X
            ORRNE     color,color,color, lsl #8
.else
			LECTURA_VIDEO_MES_ENMASCARAT	color, x1, ptr_dst, aux1
.endif

ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS_U_Escriure_ultim_pixel_a_VRAM:

            STRNEH    color,[ptr_dst]

			B		  Acabar_PutHorizontalSlice	


@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@


ARM_PutHorizontalSlice: @(tParametresPintarTiraPla *PPTP)



	STMFD			sp!,{r0-r12,r14}

@
@
@    // 1era carrega...
@   
@    x1          = PPTP->x1;
@    x2          = PPTP->x2;
@    y           = PPTP->y;
@    ID_Textura  = PPTP->ID_Textura;
@    CPS         = PPTP->CPS;
@    

	LDMIA			r0,{x1-CPS,Propietats}


@
@    if(x1 < 0 || x2 >= AMPLADA_PANTALLA_EFECTIVA || x1 >= AMPLADA_PANTALLA_EFECTIVA || x2 < 0 || x1 > x2) return;

	CMP			x1, #0
	BLT			Acabar_PutHorizontalSlice
	CMP			x1, #AMPLADA_PANTALLA_EFECTIVA
	BGE			Acabar_PutHorizontalSlice
	CMP			x2, #0
	BLT			Acabar_PutHorizontalSlice
	CMP			x2, #AMPLADA_PANTALLA_EFECTIVA
	BGE			Acabar_PutHorizontalSlice
	CMP			x1,x2
	BGT			Acabar_PutHorizontalSlice

@    if(y  < 0 || y >= ALTURA_PANTALLA_EFECTIVA) return;

	CMP			y, #0
	BLT			Acabar_PutHorizontalSlice
	CMP			y, #ALTURA_PANTALLA_EFECTIVA
	BGE			Acabar_PutHorizontalSlice

@
@    // ok!, ha passat el filtre...
@    x2d = x2 - x1;

	SUB		x2d, x2, x1

@    x2d = x2d + 1;

	ADD		x2d, x2d, #1

@
@    // calculem offset video...
@	//dest_ptr = (char *)(SDL_WORK_VRAM + AMPLADA_PANTALLA*(ParametresPintarPla->y << DETALL_GRAFIC_Y) + (ParametresPintarPla->x1 << DETALL_GRAFIC_X));
@    //AMPLADA_PANTALLA*(ParametresPintarPla->y << DETALL_GRAFIC_Y) + (ParametresPintarPla->x1 << DETALL_GRAFIC_X)
@    offset_video = y << DETALL_GRAFIC_Y;

@	MOV		offset_video, y, lsl #DETALL_GRAFIC_Y

@    offset_video = offset_video*AMPLADA_PANTALLA;
	MOV		aux1, offset_video, lsl #8
	SUB		offset_video, aux1, offset_video, lsl #4 

@    offset_video = offset_video+(x1 << DETALL_GRAFIC_X);
	ADD		offset_video, offset_video, x1, lsl #DETALL_GRAFIC_X
	

@        
@    // Punter video... 
@    ptr_dst = WORK_VRAM;
	LDR		ptr_dst,.ptr_video
	LDR		ptr_dst,[ptr_dst]


@    // Punter video + offset...
@    ptr_dst = ((char *)ptr_dst + offset_video);
	ADD		ptr_dst, ptr_dst, offset_video





@
@    if(ID_Textura > 0) goto mapeig_textura; // Mapeig amb color...
	CMP		ID_Textura, #0
	BGT		Texture_Mapping


@    if(ID_Textura < 0) goto mapeig_color;
	BLT		Color_Mapping
	B		Acabar_PutHorizontalSlice


@    goto end;
@

Color_Mapping:

@    
@    // Prximament...
@   

	MOV		r0, ptr_dst
	MOV		r2, x2d
	MOV		r1, #0x4E
	ORR		r1,r1,r1, lsl #8
	BL		ARM_MemSet16
 
	B		Acabar_PutHorizontalSlice

@

Texture_Mapping:


@
@    // Carrega derivades...
@    du          = CPS->dx_mapa;      
@    dv          = CPS->dz_mapa;      
@    intensitat  = CPS->intensitat;   
@    Escale_FX   = CPS->escale;
@    centre_u    = CPS->centre_x;
@    centre_v    = CPS->centre_z;





	LDMIA		CPS,{du-centre_v}

	STMFD			sp!,{Propietats}
@
@    // Punter + offset textura...
@    aux1        = Sizeof_tTextura;

	LDR			aux1, .SIZEOF_TEXTURA
	LDR			aux1, [aux1]

@    aux1        = aux1*ID_Textura;
	MUL			aux1,ID_Textura, aux1

@    void_ptr    = Textura;
	LDR			void_ptr,.ptr_textura
	LDR			void_ptr, [void_ptr]

@    void_ptr    = ((char *)void_ptr + aux1);
	ADD			void_ptr, void_ptr, aux1

@
@    // Comprobem si es potencia de 2 i es quadrada...
@    Propietats = *((int *)(((char *)void_ptr + 0x2*0x4)));

	LDR			Propietats,[void_ptr, #0x8]

@
@    if(!IS_UPOW2(Propietats))  goto end;
	IS_UPOW2	Propietats
	BEQ			Acabar_PutHorizontalSlice			

@    if(!IS_VPOW2(Propietats))  goto end;
	IS_VPOW2	Propietats
	BEQ			Acabar_PutHorizontalSlice


@    MIPmap_Adequat = 0;
	MOV		MIPmap_Adequat, #0

@                        
@    // Numero de NMipmaps (+1 reg aux)...
@    aux1 = (int)((char *)void_ptr)[0x1*4];

	LDR		aux1, [void_ptr, #0x4]

@                        
@    if(MIPmap_Adequat >= aux1) // Pintarem x color
@    {
@         goto mapeig_color;
@    }


	CMP		MIPmap_Adequat, aux1
	BGE		Color_Mapping

@            
@    // Carrega de punter mipmap (al punter textura. Donat que no ja no necessito ms punter Textura_Superior,
@    // s'utilitzar void_ptr)...
@
@    // Calcul de UV + actualitzaci segons mipmap...
@    aux1 = (x1 - CENTRE_X2D_EFECTIU);

	SUB		aux1,x1,#CENTRE_X2D_EFECTIU

@    aux1 = aux1*du;

	MUL		aux1, du, aux1
@    u1   = centre_u + aux1;
	ADD		u_ini, centre_u, aux1

@    u_ini   = centre_u + aux1;
@    u_ini   = u_ini >> MIPmap_Adequat;

	MOV		u_ini, u_ini @, asr MIPmap_Adequat

@
@
@    aux1 = (x1 - CENTRE_X2D_EFECTIU);

	SUB		aux1, x1, #CENTRE_X2D_EFECTIU

@    aux1 = aux1*dv;
	MUL		aux1, dv, aux1


@    v1   = centre_v + aux1;
	ADD		v_ini, centre_v, aux1


@    v1   = v1 >> MIPmap_Adequat;
	MOV		v_ini, v_ini @, asr MIPmap_Adequat

@
@    du = (du  >> MIPmap_Adequat);
	MOV		du, du @, asr MIPmap_Adequat

@    dv = (dv  >> MIPmap_Adequat);
	MOV		dv, dv @, asr MIPmap_Adequat


@
@    // Offset vector GFX_MipMap en bytes...
@    aux1 = Sizeof_tImatge;

@	LDR		aux1, .SIZEOF_IMAGE
@	LDR		aux1, [aux1]


@    aux1 = aux1*MIPmap_Adequat;

@	MUL		aux1, MIPmap_Adequat, aux1

@
@    // Obtenim punter mipmap...
@    void_ptr = *((int **)void_ptr);
	LDR		void_ptr, [void_ptr]


@            
@    // Punter mitmap mitjanat offset aux1...
@    void_ptr = ((char *)void_ptr + aux1);

@	ADD		void_ptr, void_ptr, aux1


@
@
@    // punter font...
@    //ptr_src = (char *)((char *)void_ptr)[0x4*0];
@    ptr_src  = (char *)(((int *)void_ptr)[0x4*0]);

	LDR		ptr_src, [void_ptr]


@
@    // ok ja ho tenim a punt pel mapeig ?
@
@    ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITHOUT_EFFECTS(ptr_dst, ptr_src, x2d, u_ini, v1, du, dv, amplada_u-1, altura_v-1, log2_U);
	
	LDMFD			sp!,{Propietats}
	CMP	Propietats,#0
@	BEQ		ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITHOUT_EFFECTS

	LDR		aux1, .ptr_shade
	ADD		ptr_intensitat, aux1, intensitat
	B		ARM_PutHorizontalSlice_BLOCK_UVPOW2_WITH_EFFECTS


@
@
@
@
@
@
@
@
@    // 
@
@    // ok, podem mapejar...
@    // Calculem
@    
@
@
@  
@
@    
@
@    
@

Acabar_PutHorizontalSlice:


	LDMFD	sp!,{r0-r12,r14}
   

@
@    u_ini = u_ini;
@
@}
@    u_ini = u_ini;



	BX	lr
@
@}
