@   Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
@   Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
@
@   This file is part of Jespa3D Engine.
@
@   Jespa3D Engine is free software; you can redistribute it and/or modify
@   it under the terms of the GNU General Public License as published by
@   the Free Software Foundation; either version 2 of the License, or
@   (at your option) any later version.
@
@   Jespa3D Engine is distributed in the hope that it will be useful,
@   but WITHOUT ANY WARRANTY; without even the implied warranty of
@   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@   GNU General Public License for more details.
@
@   You should have received a copy of the GNU General Public License
@   along with Jespa3D Engine; ; see the file COPYING. if not, write to 
@   the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
@   Boston, MA  02111-1307  USA


@ /***********************\
@ | ZONA MEMORIA i TAMANY  |
@ \***********************/

.SECTION .iwram  @,"ax",%progbits
.ARM
.ALIGN



.include "ARM_FUNCTIONS/ARM_Defines.s"
.include "ARM_FUNCTIONS/ARM_Util.s"

.equ		ONE_FX,				1 << PART_FRACCIONAL



@ /***********************\
@ | PROTOTIPUS DE FUNCIONS |
@ \***********************/


.GLOBL   ARM_PutVerticalSlice
.TYPE    ARM_PutVerticalSlice, function




@ /**************************\
@ | IMPLEMENTACIO DEFUNCIONS |
@ \**************************/







@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@
@      x;                                        // r0. (Necessari conservar-lo per si volem pintar a alt detall.)
	   x			.req	r0

@      y1;   char  *ptr_dst;                     // r1. (void_ptr1 agafa el punter desti...)
	   y1			.req	r1
	   ptr_dst		.req	r1	   

@      y2,   y2d;                                // r2.
	   y2			.req	r2
	   y2d			.req	r2

@      U;    char  *ptr_src;                     // r3. (void_ptr2 agafa el punter font...)
	   U			.req	r3
	   ptr_src		.req	r3

@      V,                                        // r4.
	   V			.req	r4

@      Escale_FX,                                // r5.
	   Escale_FX	.req	r5

@      ID_Textura,color; void  *void_ptr;        // r6. (void_ptr agafa els punters: Textura, &Textura[ID_Textura], &Textura[ID_Textura]->GFX_MipMap[MIPmap_Adequat], punter_shade)
	   ID_Textura	.req	r6
	   color		.req	r6
	   void_ptr		.req	r6

@      Intensitat;    char  *ptr_intensitat;     // r7.  Punter + offset X (nivell intensitat).
	   Intensitat	.req	r7
	   ptr_intensitat	.req	r7


@      Transparencia; char  *ptr_transparencia;  // r8.  Punter + offset X (nivell transparencia).
	   Transparencia	.req	r8
	   ptr_transparencia	.req	r8
	   aux3					.req	r8

@      Propietats;                               // r9.
	   Propietats	.req	r9


@      MIPmap_Adequat,log2_U;                    // r10.
	   MIPmap_Adequat	.req	r10
	   log2_U			.req	r10

@      log2_V,mask_v;                            // r11.
	   log2_V	.req	r11
	   mask_v	.req	r11
	   DimY		.req	r11

@      aux1;                                     // r12.
	   aux1				  .req		r12
	   Propietats_Imatge  .req		r14
	   aux2				  .req		r14



@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@



ARM_PutVerticalSlice_COLOR:@(char *ptr_dst, int y2d, int color)
@{

       MOV     aux1,color
       ORR     color,aux1,color, lsl #8
 

LOOP_PutVerticalSlice_Color:


@		do{

@

.ifdef __BAIX_NIVELL_X

@	{ No s'ha de fer res yupppiaeee XD }

.else

	LECTURA_VIDEO_MES_ENMASCARAT	color, x, ptr_dst, aux1

.endif

@			*dest_ptr = ptr_textura[v_actual];

            STRH    color,[ptr_dst],#240

@           y2d --;

            SUBS    y2d, y2d, #1
		
@		}while(y2d > 0);
	
		BNE     LOOP_PutVerticalSlice_Color
		B Acaba_PutVerticalSlice
@}

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_PutVerticalSlice_COLOR_WITH_GLENZ:@(char *ptr_dst, int y2d, int color)
@{
       MOV     aux1,color
       ORR     color,aux1,color, lsl #8
 

LOOP_PutVerticalSlice_Color_With_Glenz:


@		do{

@

.ifdef __BAIX_NIVELL_X

@	{ No s'ha de fer res yupppiaeee XD }

.else

@@@@2@@@@@@@@- CARREGA PIXELS DE MEMORIA, EMMASCARANENT, i GUARDAT DEL PIXEL -@@@@2@@@@@@@@

            @ Crrega de pixels desde vram ...

            LDRH     aux1, [ptr_dst]           @ Carrega dels pixel vram. (Els 8 bits de MENYS pes s el PIXEL PARELL, i els bits de MS pes representa el PIXEL SENAR)

            @ Emmascarat del pixel a salvaguardar i escriptura del pixel de textura (r3)

            @ if( x == 1) // Volem escriure pixel senar, per aix cal guardar pixel parell

            TSTS        x,#1
            BEQ         WRITE_EVEN_PIXEL_PutVerticalSlice_Color_With_Glenz			@ EVEN = PARELL

            @ Escriptura de pixel senar...

            AND     aux1,     aux1,        #255           @ r4 <- Color_Textura & 0xFF  (Machaquem el 8 bits de MES PES -Pixel senar-)
            ORR     aux1,     aux1,   color,  LSL   #8       @ r4 <- (Pixel_Textura << 8) | r4 ( Guardem pixel senar)

            B           WRITE_DST_PTR_PutVerticalSlice_Color_With_Glenz

            @else // Volem escriure pixel parell, per aix cal salvarguardar el pixel senar de la

WRITE_EVEN_PIXEL_PutVerticalSlice_Color_With_Glenz:

            @ Escriptura de pixel parell...

            MOV     aux1,     aux1,        LSR   #8              @ r9 <- r9 >> 8  (Machaquem el 8 bits de MENYS PES -Pixel parell-)
            ORR     aux1,     color,   aux1,  LSL   #8           @ r9 <- Pixel_Textura | r9 ( Guardem pixel parell)


@@@@2@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@2@@@@@@@@@@@@@@@@@@

.endif

WRITE_DST_PTR_PutVerticalSlice_Color_With_Glenz:
@			*dest_ptr = ptr_textura[v_actual];

            STRH    color,[ptr_dst],#240

@           y2d --;

            SUBS    y2d, y2d, #1
		
@		}while(y2d > 0);
	
		BNE     LOOP_PutVerticalSlice_Color_With_Glenz
		B Acaba_PutVerticalSlice
@}

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_PutVerticalSlice_BLOCK_VPOW2_WITHOUT_EFFECT:@(char *ptr_dst, char *ptr_src, int y2d, int V, int Escale_FX, int mask_v, int log2_U)
@{
LOOP_PutVerticalSlice_Block_VPOW2_Without_effect:


@		do{

@			v_actual = ((v >> PART_FRACCIONAL) & Mascara_Altura_Textura);

            AND     aux1, mask_v, V, lsr #16
			 

@			color <- ptr_textura[v_actual];


            MOV		 aux1, aux1, lsl log2_U
			LDRB     color, [ptr_src, aux1]

.ifdef __BAIX_NIVELL_X

            ORR     color,color,color, lsl #8
.else

			LECTURA_VIDEO_MES_ENMASCARAT	color, x, ptr_dst, aux1
.endif



@			*dest_ptr = ptr_textura[v_actual];

            STRH    color,[ptr_dst],#240

@			v += Escale_v;
			ADD     V,V,Escale_FX            

@           y2d --;
			SUBS    y2d, y2d, #1
            
		
@		}while(y2d > 0);
	
           BNE     LOOP_PutVerticalSlice_Block_VPOW2_Without_effect
		   B Acaba_PutVerticalSlice
@}

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_PutVerticalSlice_SPRITE_VPOW2_WITHOUT_EFFECT:@(char *ptr_dst, char *ptr_src, int y2d, int V, int Escale_FX, int mask_v, int log2_U)

@{
LOOP_PutVerticalSlice_Sprite_VPOW2_Without_effect:


@		do{

@			v_actual = ((v >> PART_FRACCIONAL) & Mascara_Altura_Textura);

            AND     aux1, mask_v, V, lsr #16

@			color <- ptr_textura[v_actual];


            MOV		 aux1, aux1, lsl log2_U
			LDRB     color, [ptr_src, aux1]

.ifdef __BAIX_NIVELL_X

            ORR     color,color,color, lsl #8

.else

			LECTURA_VIDEO_MES_ENMASCARAT	color, x, ptr_dst, aux1

.endif

WRITE_DST_PTR_PutVerticalSlice_Sprite_VPOW2_Without_effect:

@			*dest_ptr = ptr_textura[v_actual];

            STRH    color,[ptr_dst],#240

@			v += Escale_v;
			ADD     V,V,Escale_FX            

@           y2d --;
			SUBS    y2d, y2d, #1
            
		
@		}while(y2d > 0);
	
 BNE     LOOP_PutVerticalSlice_Sprite_VPOW2_Without_effect
B Acaba_PutVerticalSlice
@}

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_PutVerticalSlice_BLOCK_VPOW2_WITH_EFFECT:@(char *ptr_dst, char *ptr_src, int y2d, int V, int Escale_FX, int mask_v, int log2_U, int Propietats)
@{
LOOP_PutVerticalSlice_Block_VPOW2_With_effect:


@		do{

@			v_actual = ((v >> PART_FRACCIONAL) & Mascara_Altura_Textura);

            AND     aux1, mask_v, V, lsr #16
@            MOV     aux1, aux1

@			color <- ptr_textura[v_actual];


            MOV		 aux1, aux1, lsl log2_U
			LDRB     color, [ptr_src, aux1]

@           intensitat
.ifdef __WITH_EFFECTS__
            LDRB      color,[ptr_intensitat, color, lsl #8]
.endif

.ifdef __BAIX_NIVELL_X
            ORR     color,color,color, lsl #8
.else
			LECTURA_VIDEO_MES_ENMASCARAT	color, x, ptr_dst, aux1
.endif

@			*dest_ptr = ptr_textura[v_actual];

            STRH    color,[ptr_dst],#240

@			v += Escale_v;
			ADD     V,V,Escale_FX            

@           y2d --;
			SUBS    y2d, y2d, #1

            
		
@		}while(y2d > 0);
	
           BNE     LOOP_PutVerticalSlice_Block_VPOW2_With_effect
		   B Acaba_PutVerticalSlice

@}

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_PutVerticalSlice_SPRITE_VPOW2_WITH_EFFECT:@(char *ptr_dst, char *ptr_src, int y2d, int V, int Escale_FX, int mask_v, int log2_U, int Propietats)
@{
@{
LOOP_PutVerticalSlice_Sprite_VPOW2_With_effect:


@		do{

@			v_actual = ((v >> PART_FRACCIONAL) & Mascara_Altura_Textura);

            AND     aux1, mask_v, V, lsr #16

@			color <- ptr_textura[v_actual];


            MOV		 aux1, aux1, lsl log2_U
			LDRB     color, [ptr_src, aux1]


			CMP		color, #MASK_COLOR
			ADDEQ	ptr_dst,ptr_dst,#240
			BEQ		continue_PutVerticalSlice_Sprite_VPOW2_With_effect

			
			

.ifdef __WITH_EFFECTS__

			RENDER_WITH_BRIGHT				Propietats
            LDRNEB							color,[ptr_intensitat, color, lsl #8]


			RENDER_WITH_GLENZ				Propietats
			BEQ								write_PutVerticalSlice_Sprite_VPOW2_With_effect2
			
.ifdef __BAIX_NIVELL_X
			LDRB							aux1,[ptr_dst]
			ADD								aux1,color,aux1,lsl #8
			LDRB							color,[ptr_transparencia,aux1]
.else
			LDRH							aux1,[ptr_dst]
			TSTS							x,#1
			ANDEQ							aux1, aux1, #0x00FF
			MOVNE							aux1, aux1, lsr #8

			ADD								aux1,color,aux1,lsl #8
			LDRB							color,[ptr_transparencia,aux1]
.endif

.endif

write_PutVerticalSlice_Sprite_VPOW2_With_effect2:

.ifdef	__BAIX_NIVELL_X

			ORR								color, color, color, lsl #8
.else

			LECTURA_VIDEO_MES_ENMASCARAT	color, x, ptr_dst, aux1

.endif



@			*dest_ptr = ptr_textura[v_actual];

            STRH    color,[ptr_dst],#240

continue_PutVerticalSlice_Sprite_VPOW2_With_effect:

@			v += Escale_v;
			ADD     V,V,Escale_FX

@           y2d --;
			SUBS    y2d, y2d, #1            
		
@		}while(y2d > 0);
	
 BNE     LOOP_PutVerticalSlice_Sprite_VPOW2_With_effect
B Acaba_PutVerticalSlice
@}

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

ARM_PutVerticalSlice:
@{


 @   //
 @   // Carrega de informaci...
 @   //
 @   x                       = PPP->x;
 @   y1                      = PPP->y1;
 @   y2                      = PPP->y2;
 @   U                       = PPP->u1;
 @   V                       = PPP->v1;
 @   Escale_FX               = PPP->Escale_v;
 @   ID_Textura              = PPP->ID_Textura;
 @   Intensitat              = PPP->Intensitat;
 @   Transparencia           = PPP->Transparencia;
 @   Propietats              = PPP->Propietats_Objecte;

   STMFD   sp!, {r0-r12,r14}                        @ empilem registres	
    
 @   // Filtre per si l' interval a pintar es vlid...
 @  if(y1 < 0 || y2 >= ALTURA_PANTALLA_EFECTIVA || y2 < 0 || y1 >= ALTURA_PANTALLA_EFECTIVA || y1 > y2) return;


	LDMIA	r0,{r0-r9}
   
    
	CMP     y1,#0
    BMI     Acaba_PutVerticalSlice
    CMP     y1,#ALTURA_PANTALLA_EFECTIVA
    BCS     Acaba_PutVerticalSlice
    CMP     y1,y2
    BGT     Acaba_PutVerticalSlice

    CMP     y2,#0
    BMI     Acaba_PutVerticalSlice
    CMP     y2,#ALTURA_PANTALLA_EFECTIVA
    BCS     Acaba_PutVerticalSlice




    

    
 @   if(ID_Textura < 0) // Pintat d'un sol color...
	 CMP		ID_Textura, #0
	 BGE		Paint_With_Texture		
 @   {
 @       color = (-ID_Textura)&0xFF;
		 RSB	 ID_Textura, ID_Textura, #0
		 AND	 color, ID_Textura, #0xFF

 @       if(RENDER_WITH_BRIGHT(Propietats))
		 RENDER_WITH_BRIGHT	 Propietats
		 BEQ	Continue_Paint_Color_Without_Bright
 @       {
 @           color = ptr_intensitat[color];
 @       }
Continue_Paint_Color_Without_Bright:

 @       if(1)     SDL_PutVerticalSlice_COLOR(ptr_dst, y2d,color);
 @       else      SDL_PutVerticalSlice_COLOR_WITH_GLENZING(ptr_dst, y2d,color);

     SUB     y2d,y2,y1
    ADD     y2d,y2d,#1
    
    
@   // Punter desti...
 @   ptr_dst = (char *)(WORK_VRAM + AMPLADA_PANTALLA*(y1 << DETALL_GRAFIC_Y) + (x << DETALL_GRAFIC_X));
    
.ifdef __BAIX_NIVELL_X
    MOV     aux1,x, lsl #1                     @ r1 <- (x << 1)
.else
    MOV     aux1,x
    BIC     aux1, aux1, #1                        @ r1 <- r1 & 0xFFFFFFFE  (Perqu les lectures a VRAM (16 bits) s'afectuen de forma alineada, o sigui, s'ha de llegir mitja paraula (16 bits) des de columnes parells.)
.endif

	
	MOV     aux2, y1, lsl #8
	SUB	    aux2, aux2, y1, lsl #4

	LDR		ptr_dst, .ptr_video
	LDR		ptr_dst,[ptr_dst]
	ADD		ptr_dst, ptr_dst, aux1
	ADD		ptr_dst, ptr_dst, aux2

		RENDER_WITH_GLENZ		Propietats
		BNE						ARM_PutVerticalSlice_COLOR
		B						ARM_PutVerticalSlice_COLOR_WITH_GLENZ
        
 @   }
 @   else // Pintat amb textura...

 Paint_With_Texture:

 @   {       
 @      // Punter Textura...
 @       // Offset en bytes tamany info textura...
 @       aux1 = Sizeof_tTextura*ID_Textura;
		 LDR	aux1,.SIZEOF_TEXTURA
		 LDR	aux1,[aux1]
		 MUL	aux1,ID_Textura, aux1

 @       void_ptr = (char *)Textura;
		 LDR		void_ptr,.ptr_textura
		 LDR		void_ptr,[void_ptr]	@.ptr_textura


 @       // Punter + offset a la info de textura...
 @       void_ptr = ((char *)void_ptr + aux1);
		 ADD		void_ptr,void_ptr, aux1


 @      // Llegim propietats de imatge...
 @      aux1 = (int)((char *)void_ptr)[0x2*4];
		LDR		Propietats_Imatge,[void_ptr,#0x8]

		STMFD	sp!,{Propietats_Imatge}



 @      // Mirem si s potencia de 2...
 @      if(!V_POWER_OF_2(aux1) || !U_POWER_OF_2(aux1)) return;
		IS_VPOW2		Propietats_Imatge
		BEQ				Acaba_PutVerticalSlice
		IS_UPOW2		Propietats_Imatge
		BEQ	     		Acaba_PutVerticalSlice

		
 @      // Determinar si la textura representa un panorama...
 @      if(IS_PANORAMA(aux1)) // En principi no hi ha pintat de efectes (perqu ho vols?)...
		IS_PANORAMA	Propietats_Imatge
		BEQ	Paint_With_Perspective
 @      {

@                     void_ptr = *((int **)void_ptr);
					 LDR			void_ptr,[void_ptr]

@                    log2_U = (int)((char *)void_ptr)[0x4*3]; // Lectura del log2 U en format 16.16
					LDR				log2_U,[void_ptr, #0xc]
                    
@                    ptr_src  = (char *)(((int *)void_ptr)[0x4*0]);
					LDR				ptr_src,[void_ptr]
                        
@                    DimY = (int)((int *)void_ptr)[2]; // Lectura de la dimensi vertical de la imatge...
					LDR				DimY,[void_ptr,#0x8]
					



@                    // derivada u...
@                    aux1 = (int)((int *)void_ptr)[5];
					LDR				aux1,[void_ptr,#20]

@                    // derivada v...
@                    Escale_FX = (int)((int *)void_ptr)[6];
					LDR				Escale_FX,[void_ptr,#24]


                   

@                    // Jugador...
@                    void_ptr = &Jugador;
					LDR			void_ptr,.ptr_jugador


@                    // angle
@                    aux3     = (unsigned char)((char *)void_ptr)[0x2*4];
					LDRB		aux3,[void_ptr,#0x8]			


@                    aux3     =  aux3 << 2;

					
					MOV			aux3,aux3,asl #2

@                    aux2      = x-CENTRE_X2D_EFECTIU;
					SUB			aux2, x, #CENTRE_X2D_EFECTIU

@                    aux2     *= aux1;
					MUL			aux2, aux1, aux2

@                    aux3     += (aux2 >> 16);
					ADD			aux3, aux3, aux2,asr #16


@                    aux1     =1;
					MOV			aux1, #1

@                    aux1     = aux1 << log2_U;
					MOV			aux1, aux1, asl log2_U

@                    aux1     = aux1 - 1;
					SUB			aux1, aux1, #1

					MOV			aux1,#1024
					SUB			aux1,aux1,#1

@                    aux3     = aux1 & (aux3);
					AND			aux3, aux1, aux3

   
@                    ptr_src  = ptr_src + aux3;
					ADD			ptr_src, ptr_src, aux3


@				    // V =  ((ALTURA_PAISATGE>> 1) << 16) - DV_PAISATGE*(CENTRE_Y2D_EFECTIU-Jugador.Horitzo - y1);

@                    aux3 = DimY << 16;


					MOV		aux3, DimY, lsr #1

@                    aux3 = aux3 >> 1;
					MOV		aux3, aux3, lsl #16


@                    // Llegim l' horitzo actual de jugador...
@                    aux2 = (int)((char *)void_ptr)[12];
					LDRSH	aux2, [void_ptr,#12]


@                    aux2 = -aux2;
					RSB		aux2, aux2, #0

@                    aux2 -= y1;
					SUB		aux2, aux2, y1

@                    aux2 += CENTRE_Y2D_EFECTIU;
					ADD		aux2, aux2, #CENTRE_Y2D_EFECTIU

@                    V = Escale_FX*aux2;
					MUL		V, Escale_FX, aux2

@                    V = aux3 - V;

@					MOV		aux3,#128
@					MOV		aux3,aux3,lsl #16

					SUB		V, aux3, V

@                    mask_v    = DimY - 1;
					SUB		mask_v, DimY, #1


	                 B ARM_Paint_Slice


           
		B Acaba_PutVerticalSlice
 @      }
 @      else // Pintat amb perspectiva, enmascarar UV, calcular mipmap, etc.
 Paint_With_Perspective:
 @      {

            
 @        //  short Propietats_Objecte = (PPP->Propietats >> 16);

            
 @          // Calculem mipmaps...
 @          aux1 = Escale_FX >> 16;
			MOV		aux1, Escale_FX, asr #16

 @          MIPmap_Adequat = 0;
			MOV		MIPmap_Adequat, #0

 @          while ((aux1 > 1)) {aux1 = aux1 >> 1; MIPmap_Adequat = MIPmap_Adequat+1;}
Seguir_Obtencio_MipMap:				

			CMP		aux1,#0
			BLE		Exit_Obtencio_MipMap
			MOV		aux1,aux1,asr #1
			ADD		MIPmap_Adequat,MIPmap_Adequat,#1
			B		Seguir_Obtencio_MipMap

Exit_Obtencio_MipMap:

 @                      
 @          // Numero de NMipmaps (+1 reg aux)...
 @          aux1 = (int)((char *)void_ptr)[0x1*4];
			LDR		aux1,[void_ptr,#0x4]

 @                      
@			if(MIPmap_Adequat >= aux1)
			CMP		MIPmap_Adequat,aux1
@			{
@					MIPmap_Adequat = aux1-1;
					SUBGE		MIPmap_Adequat,aux1,#1
@			}
            
 @          // Carrega de punter mipmap (al punter textura. Donat que no ja no necessito ms punter Textura_Superior,
 @          // s'utilitzar void_ptr)...

@			MOV			MIPmap_Adequat,#0

 @          // Actualitzem U,V, i Escala...
 @          U         = (U          >> MIPmap_Adequat);
			MOV			U,U , asr MIPmap_Adequat

 @          V         = (V          >> MIPmap_Adequat);
			MOV			V,V , asr MIPmap_Adequat

 @          Escale_FX = (Escale_FX  >> MIPmap_Adequat);
 			MOV			Escale_FX,Escale_FX, asr MIPmap_Adequat

 @          // Offset vector GFX_MipMap en bytes...
 @          aux1 = MIPmap_Adequat*Sizeof_tImatge;
			LDR		aux1,.SIZEOF_IMAGE
			LDR		aux1,[aux1]
			MUL		aux1, MIPmap_Adequat, aux1

 @          // Obtenim punter mipmap...
 @          void_ptr = *((int **)void_ptr);
			LDR		void_ptr,[void_ptr]
            
 @          // Punter mitmap mitjanat offset aux1...
 @          void_ptr = ((char *)void_ptr + aux1);
			ADD		void_ptr, void_ptr, aux1

 @          // Mascares UV...
 @          log2_U = (int)((char *)void_ptr)[0x4*3]; // Lectura del log2 U en format 16.16
			
			LDR		log2_U, [void_ptr, #0xc]


 @          aux1 = (1 << log2_U);
			MOV		aux1, #1
			MOV		aux1,aux1,lsl log2_U

 @          aux1 = aux1 - 1;
			SUB		aux1, aux1, #1

 @          aux1 = aux1 & (U >> 8); // U esta en APF 16.8
			AND		aux1, aux1, U, asr #8

 @          // Punter pixels de la textura...
 @          ptr_src  = (((int *)void_ptr)[0x4*0]);
			LDR		ptr_src, [void_ptr]

 @          //  + Offset U.
 @          ptr_src  = ptr_src + aux1;
			ADD		ptr_src, ptr_src, aux1


 @          // mascara V
 @          log2_V = (int)((char *)void_ptr)[0x4*4]; // Lectura del log2 V en format 16.16         
			LDR		aux1 ,[void_ptr, #16]
			
 @          mask_v = (1 << log2_V);
			MOV	mask_v,#1
			MOV	mask_v,mask_v,asl aux1

 @          mask_v = mask_v-1;
			SUB		mask_v, mask_v, #1

ARM_Paint_Slice:

@	y2d = y2 - y1 + 1;

    SUB     y2d,y2,y1
    ADD     y2d,y2d,#1
    
    
@   // Punter desti...
 @   ptr_dst = (char *)(WORK_VRAM + AMPLADA_PANTALLA*(y1 << DETALL_GRAFIC_Y) + (x << DETALL_GRAFIC_X));
    
.ifdef __BAIX_NIVELL_X
    MOV     aux1,x, lsl #1                     @ r1 <- (x << 1)
.else
    MOV     aux1,x
    BIC     aux1, aux1, #1                        @ r1 <- r1 & 0xFFFFFFFE  (Perqu les lectures a VRAM (16 bits) s'afectuen de forma alineada, o sigui, s'ha de llegir mitja paraula (16 bits) des de columnes parells.)
.endif

	
	MOV     aux2, y1, lsl #8
	SUB	    aux2, aux2, y1, lsl #4

	LDR		ptr_dst, .ptr_video
	LDR		ptr_dst,[ptr_dst]
	ADD		ptr_dst, ptr_dst, aux1
	ADD		ptr_dst, ptr_dst, aux2

	LDMFD	sp!,{Propietats_Imatge}



 @          // Mirem si pintem textura amb efecte...
 @          if() // Pintat sense efecte...
 			CMP		Propietats,#0
			BNE		Paint_With_Effect
 @          {
 @              // Mirem si es de tipus sprite...
 @              if(1) // No ho s..
 @                  SDL_PutVerticalSlice_BLOCK_VPOW2_WITHOUT_EFFECT(ptr_dst, ptr_src, y2d, V, Escale_FX, mask_v, log2_U);
 @              else // Ho s...
 @                  SDL_PutVerticalSlice_SPRITE_VPOW2_WITHOUT_EFFECT(ptr_dst, ptr_src, y2d, V, Escale_FX, mask_v, log2_U);

				IS_SPRITE	Propietats_Imatge
				BEQ			ARM_PutVerticalSlice_BLOCK_VPOW2_WITHOUT_EFFECT
				BNE			ARM_PutVerticalSlice_SPRITE_VPOW2_WITHOUT_EFFECT


                
 @          }
 @          else // Pintat amb efecte mirem al mateix codi, el color de mascara.
 @          {
Paint_With_Effect:


 @   ptr_intensitat    = ((char *)Shade + Intensitat);

	MOV		aux1, Intensitat
	LDR		ptr_intensitat,.ptr_shade
	ADD		ptr_intensitat, ptr_intensitat, aux1

@   ptr_transparencia = ((char *)Glenz + Transparencia);
	LDR		ptr_transparencia,.ptr_glenz

 @             // Mirem si es de tipus sprite...
 @              if(1) // No ho s...
 @                  SDL_PutVerticalSlice_BLOCK_VPOW2_WITH_EFFECT(ptr_dst, ptr_src, y2d, V, Escale_FX, mask_v, log2_U,Propietats);
 @              else // Ho s...
 @                  SDL_PutVerticalSlice_SPRITE_VPOW2_WITH_EFFECT(ptr_dst, ptr_src, y2d, V, Escale_FX, mask_v, log2_U,Propietats);

 				IS_SPRITE	Propietats_Imatge
				BEQ			ARM_PutVerticalSlice_BLOCK_VPOW2_WITH_EFFECT
				BNE			ARM_PutVerticalSlice_SPRITE_VPOW2_WITH_EFFECT
                
 @          }
            
 @      }
 @  }

Acaba_PutVerticalSlice:

   LDMFD    sp!, {r0-r12,r14}                        @ empilem registres	    
   BX		lr
    
@}


