//    Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
//    Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
//
//    This file is part of Jespa3D Engine.
//
//    Jespa3D Engine is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    Jespa3D Engine is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Jespa3D Engine; ; see the file COPYING. if not, write to 
//    the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//    Boston, MA  02111-1307  USA



#include "Llista_Dinamica.h"
//#include 

//PNode LlistaNodes = NULL;
//PNode LlistaNodes = NULL;
/*
void LD_InitLlista(tLlistaNodes *LlistaNodes)
{
	memset(LlistaNodes,0,sizeof(tLlistaNodes));
}
*/
void LD_SetSuportLlista(int NElements, tLlistaNodes *LlistaNodes)
{
	PNode node_actual;
	int NNodes,id;
	void **ptr_llista;
	
	LE_InitLlista(NElements,&LlistaNodes->LE);
	
	if((ptr_llista = LlistaNodes->LE.InfoLlistaEstatica))
	{
		if((NNodes = LlistaNodes->n_nodes))
		{
			node_actual = LlistaNodes->Primer;
			
			while(NNodes--)
			{
				id = node_actual->ID_Node;
				
				if((id < 0) || (id >= NElements))
				{
					ptr_llista[id] = node_actual;
				}

				node_actual = node_actual->Seguent;
			}
		}
/*		else // rapid assignat de nulls..
		{
			memset(ptr_llista,0,NElements*sizeof(void *));
		}*/
		
		LlistaNodes->max_nodes = NElements;
	}
	
}


//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
////
////	IMPLEMENTACI GESTIO DE NODES AMB CRREGA DE INFORMACI GENERICA...
////
////
/*
int LD_EmpilarInfoFIFO(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	 //
	 // S'empila al final...
	 //
	PNode NouNode;
	void **ptr_llista;
	//llista_aux = LlistaNodes;
	
	Reservar_Memoria(NouNode,tNode,1);//sizeof(tNode))) == NULL) 
	
	if(NouNode == NULL)
	{
		PRINT_ERROR("\nMemria insuficient per donar %i bytes per empilar info FIFO!!!",sizeof(tNode));
		return FALS;
	}
	
	// mplim info nou node...	
	NouNode->ID_Node = ID_Node;
	NouNode->InfoNode = Info;
	NouNode->Seguent = NULL;
	
	if(LlistaNodes->Primer == NULL) // Primer nou node...
	{
		LlistaNodes->Ultim = LlistaNodes->Primer = NouNode;
		LlistaNodes->n_nodes = 1;
	}
	else // Encuem node al estil FIFO (First Input - First OutPut)...
	{
		// Actualitzaci apuntadors nou node...
		
		LlistaNodes->Ultim->Seguent = NouNode;
		LlistaNodes->Ultim = NouNode;

		// Actualitzaci a la llista de suport...

//		LE = 
		if(ptr_llista = LlistaNodes->LE.InfoLlistaEstatica) 
		{
			if((ID_Node < 0) || (ID_Node >= LlistaNodes->max_nodes)) PRINT_ERROR("\n S'ha rebassat el mxim ID!!!!",0);
			else ptr_llista[ID_Node] = NouNode;
		}
		
		
		LlistaNodes->n_nodes++;
		
		
	}

//	NouNode->Anterior  = NouNode->Anterior
//	NouNode->Seguent   = LlistaNodes->Primer;
	
	return CERT;
	
}



 int LD_EmpilarInfoFILO(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	PNode NouNode;
	void **ptr_llista;
	//llista_aux = (*LlistaNodes);
	
	Reservar_Memoria(NouNode,tNode,1);//sizeof(tNode))) == NULL) 
	
	if(NouNode == NULL)
	{
		PRINT_ERROR("\nMemria insuficient per donar %i bytes per empilar info FILO!!!",sizeof(tNode));
		return FALS;
	}
	
	// mplim info nou node...	
	NouNode->ID_Node = ID_Node;
	NouNode->InfoNode = Info;
	
	if(LlistaNodes->Primer == NULL) // Primer nou node...
	{
		NouNode->Seguent = NULL;
		LlistaNodes->Ultim = LlistaNodes->Primer = NouNode;
		LlistaNodes->n_nodes = 1;
	}
	else // Encuem node al estil de pila (First Input - Last OutPut)...
	{
		// Actualitzaci apuntadors nou node...
		NouNode->Seguent =  LlistaNodes->Primer;
		LlistaNodes->Primer = NouNode;

		// Actualitzaci a la llista de suport...

		if(ptr_llista = LlistaNodes->LE.InfoLlistaEstatica) 
		{
			if((ID_Node < 0) || (ID_Node >= LlistaNodes->max_nodes)) PRINT_ERROR("\n S'ha rebassat el mxim ID!!!!",0);
			else ptr_llista[ID_Node] = NouNode;
		}

		LlistaNodes->n_nodes++;
		
	}
	
	return CERT;
	
}

*/
/*
 int LD_EmpilarInfoLIFO(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	return CERT;	
}



 int LD_EmpilarInfoLILO(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	return CERT;
}

*/

/*
 int LD_EmpilarInfo_ORDER_TO_ASCENDENT(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	//
	// PRE: Es suposa que la llista ja esta ordenada ascendenment.
	//
	PNode NouNode,Previus_Node,Actual_Node;
	//PLlistaNodes llista_aux;
	int End;
	
	//llista_aux = (*LlistaNodes);
	
	Reservar_Memoria(NouNode,tNode,1);//sizeof(tNode))) == NULL) 
	
	if(NouNode == NULL)
	{
		PRINT_ERROR("\nMemria insuficient per donar %i bytes per empilar info FILO!!!",sizeof(tNode));
		return FALS;
	}
	
	// mplim info nou node...	
	NouNode->ID_Node = ID_Node;
	NouNode->InfoNode = Info;
	
	if(LlistaNodes->Primer == NULL) // Primer nou node...
	{
		NouNode->Seguent = NouNode;
		NouNode->Anterior = NouNode;
		LlistaNodes->NodeActual =LlistaNodes->Ultim =LlistaNodes->Primer = NouNode;
		LlistaNodes->n_nodes = 1;
	}
	else // Encuem el node en ordre ASCENDENT segons el seu ID...
	{
		
		Previus_Node = Actual_Node = LlistaNodes->Primer;
		End = FALS;
		
		while((Actual_Node != NULL) && !End)
		{
			if( ID_Node < Actual_Node->ID_Node)
			{
				End = CERT;			
			}
			else
			{
				Previus_Node = Actual_Node;
				Actual_Node = Actual_Node->Seguent;				
				
			}
			
			
		}
		
		
		if(Previus_Node == LlistaNodes->Primer && Actual_Node == LlistaNodes->Primer) // The new node will be the first of list nodes...
		{
			
			// Actualitzaci apuntadors nou node...
			NouNode->Seguent =  LlistaNodes->Primer;
			NouNode->Anterior = LlistaNodes->Ultim;
			
			// llista nodes actualitzada...
			LlistaNodes->Ultim = NouNode;
			LlistaNodes->n_nodes++;
			
		}
		else
		{	
			if(Actual_Node == LlistaNodes->Ultim) // The new node will be the first of list nodes...
			{
				// Actualitzaci apuntadors nou node...
				NouNode->Seguent =  LlistaNodes->Primer;
				NouNode->Anterior = LlistaNodes->Ultim;
				
				// Actualitzaci llista nodes...
				LlistaNodes->Primer = NouNode;
				LlistaNodes->n_nodes++;
				
			}
			else // El node esta entremitg de la llista...
			{
				// Actualitzaci apuntadors nou node...
				NouNode->Seguent  = Actual_Node;
				NouNode->Anterior = Previus_Node;
				
				// Actualitzaci apuntadors del node previ i actual...
				Previus_Node->Seguent = NouNode;
				Actual_Node->Anterior = NouNode;
			}
			
		}
		
		
		
	}
	
	
	return CERT;
	
	
	
}
*/

/*
 int LD_EmpilarInfo_ORDER_TO_DESCENDENT(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	//
	// PRE: Es suposa que la llista ja esta ordenada descendenment.
	//
	PNode NouNode,Previus_Node,Actual_Node;
//	PLlistaNodes llista_aux;
	int End;
	//llista_aux = (*LlistaNodes);
	
	Reservar_Memoria(NouNode,tNode,1);//sizeof(tNode))) == NULL) 
	
	if(NouNode == NULL)
	{
		PRINT_ERROR("\nMemria insuficient per donar %i bytes per empilar info FILO!!!",sizeof(tNode));
		return FALS;
	}
	
	// mplim info nou node...	
	NouNode->ID_Node = ID_Node;
	NouNode->InfoNode = Info;
	
	if(LlistaNodes->Primer == NULL) // Primer nou node...
	{
		NouNode->Seguent = NouNode;
		NouNode->Anterior = NouNode;
		LlistaNodes->NodeActual =LlistaNodes->Ultim =LlistaNodes->Primer = NouNode;
		LlistaNodes->n_nodes = 1;
	}
	else // Encuem el node en ordre DESCENDENT segons el seu ID...
	{
		
		Previus_Node = Actual_Node = LlistaNodes->Primer;
		End = FALS;
		
		while((Actual_Node != NULL) && !End)
		{
			if( ID_Node > Actual_Node->ID_Node)
			{
				End = CERT;			
			}
			else
			{
				Previus_Node = Actual_Node;
				Actual_Node = Actual_Node->Seguent;				
				
			}
			
			
		}
		
		
		if(Previus_Node == LlistaNodes->Primer && Actual_Node == LlistaNodes->Primer) // The new node will be the first of list nodes...
		{
			
			// Actualitzaci apuntadors nou node...
			NouNode->Seguent =  LlistaNodes->Primer;
			NouNode->Anterior = LlistaNodes->Ultim;
			
			// llista nodes actualitzada...
			LlistaNodes->Ultim = NouNode;
			LlistaNodes->n_nodes++;
			
		}
		else
		{	
			if(Actual_Node == LlistaNodes->Ultim) // The new node will be the first of list nodes...
			{
				// Actualitzaci apuntadors nou node...
				NouNode->Seguent =  LlistaNodes->Primer;
				NouNode->Anterior = LlistaNodes->Ultim;
				
				// Actualitzaci llista nodes...
				LlistaNodes->Primer = NouNode;
				LlistaNodes->n_nodes++;
				
			}
			else // El node esta entremitg de la llista...
			{
				// Actualitzaci apuntadors nou node...
				NouNode->Seguent  = Actual_Node;
				NouNode->Anterior = Previus_Node;
				
				// Actualitzaci apuntadors del node previ i actual...
				Previus_Node->Seguent = NouNode;
				Actual_Node->Anterior = NouNode;
				
				
				LlistaNodes->n_nodes++;
			}
			
		}
	}
	
	
	return CERT;
	
}*/
/*
int LD_Empilar(int ID_Node, tGeneric Info, tLlistaNodes *LlistaNodes, int tipus_empilatge)
{
	switch(tipus_empilatge)
	{
	case FILO: return LD_EmpilarInfoFILO(ID_Node, Info, LlistaNodes);break;
	case FIFO:return LD_EmpilarInfoFIFO(ID_Node, Info, LlistaNodes);break;
	case LIFO:return LD_EmpilarInfoLIFO(ID_Node, Info, LlistaNodes);break;
	case LILO:return LD_EmpilarInfoLILO(ID_Node, Info, LlistaNodes);break;
	case ORDER_TO_ASCENDENT: return LD_EmpilarInfo_ORDER_TO_ASCENDENT(ID_Node, Info, LlistaNodes);break;
	case ORDER_TO_DESCENDENT:return LD_EmpilarInfo_ORDER_TO_DESCENDENT(ID_Node, Info, LlistaNodes);break;
	default:
		PRINT_ERROR("\nEl tipus de empilatge s invalid!!!",0);
		return FALS;
	}

	
}
*/
////
////  
////
////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
////
////  
////
////

 /*int LD_EmpilarNodeFIFO(tNode *Node, tLlistaNodes *LlistaNodes)
{
	if(LlistaNodes->Primer == NULL) // Primer node ...
	{
		Node->Seguent = Node;
		LlistaNodes->Primer = LlistaNodes->Ultim = Node;
		LlistaNodes->n_nodes = 1;

	}
	else // Empilatge FIFO...
	{

		
		Node->Seguent  = LlistaNodes->Primer;
		LlistaNodes->Primer = Node;
		
		LlistaNodes->n_nodes++;
	}



	 return FALS;

}*/
/*
 int LD_EmpilarNodeFILO(tNode *Node, tLlistaNodes *LlistaNodes)
{
	if(LlistaNodes == NULL) // Primer node ...
	{
		Node->Anterior = Node;
		Node->Seguent = Node;
		LlistaNodes->Primer = LlistaNodes->Ultim = Node;
		LlistaNodes->n_nodes = 1;

	}
	else // Empilatge FILO...
	{
		Node->Seguent  = LlistaNodes->Primer;
		Node->Anterior = LlistaNodes->Ultim;

		if(LlistaNodes->Ultim == LlistaNodes->Primer)
			LlistaNodes->Ultim->Anterior = Node;
	
		LlistaNodes->Ultim->Seguent = Node;

		LlistaNodes->Primer->Anterior = Node;

		LlistaNodes->Primer = Node;
				

		LlistaNodes->n_nodes++;
		LlistaNodes->n_nodes++;
	}

	//return CERT;

	 return FALS;


}*/
/*
int LD_EmpilarNode(tNode *Node, tLlistaNodes *LlistaNodes, int tipus_empilatge)
{

	switch(tipus_empilatge)
	{
	case FILO: LD_EmpilarNodeFILO(Node,  LlistaNodes);break;
	case FIFO: LD_EmpilarNodeFIFO(Node, LlistaNodes);break;
	default:
		PRINT_ERROR("\nEl tipus de empilatge s invalid!!!",0);
		return FALS;
	}


	return CERT;

	return FALS;

}
*/

////
////  
////
////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

/*
PNode LD_CercaRecursiva(int ID_Node, PNode Node_Actual,int nivell)
{
		if(nivell == 0)
		{
			return NULL;
		}
		else
		{
			if(Node_Actual->ID_Node == ID_Node) return Node_Actual;
			else return LD_CercaRecursiva(ID_Node, Node_Actual->Seguent,--nivell);
		}
}*/

/*
PNode LD_Cerca(int ID_Node, PLlistaNodes LlistaNodes)
{
	int NNodes;
	PNode Node_Actual;
	void **ptr;

	if(LlistaNodes == NULL) return NULL;

	if(ptr = LlistaNodes->LE.InfoLlistaEstatica)
	{
			if(ID_Node >= 0 && ID_Node < LlistaNodes->max_nodes) return ptr[ID_Node];
			
	}


	NNodes = LlistaNodes->n_nodes;
	Node_Actual = LlistaNodes->Primer;
	
	while(NNodes--)
	{
		if(Node_Actual->ID_Node == ID_Node) return Node_Actual;
		
		Node_Actual = Node_Actual->Seguent;

	}

	return NULL;

}*/
/*

PNode LD_Extraure(int ID_Node, tLlistaNodes *LlistaNodes)
{
	PNode NodeExtret = NULL;


	NodeExtret = LD_Cerca(ID_Node,LlistaNodes);

	if(NodeExtret != NULL) // Realitzem les conexions pertinents...
	{

		if(LlistaNodes->n_nodes == 1)
		{
			NodeExtret = LlistaNodes->Primer;

			LlistaNodes->Primer = NULL;
			LlistaNodes->Ultim = NULL;
			LlistaNodes->n_nodes = 0;
		}
		else
		{
			
			if(NodeExtret == LlistaNodes->Primer)
			{
				LlistaNodes->Primer   = NodeExtret->Seguent;
				//LlistaNodes->Primer->Anterior = LlistaNodes->Ultim;
				//LlistaNodes->Ultim->Seguent = LlistaNodes->Primer;
				LlistaNodes->n_nodes--;
			}
			else
			{
				if(NodeExtret == LlistaNodes->Ultim)
				{
					LlistaNodes->Ultim			= NodeExtret->Anterior;
					//LlistaNodes->Primer->Anterior = LlistaNodes->Ultim;
					//LlistaNodes->Ultim->Seguent = LlistaNodes->Primer;
					LlistaNodes->n_nodes--;
				}
				else // cap problema...
				{
										
				}
				
			}

			NodeExtret->Seguent->Anterior  = NodeExtret->Anterior;
			NodeExtret->Anterior->Seguent  = NodeExtret->Seguent;

			// Fet..
		}

		
	
	}
	
	return NodeExtret;


	
}*/
/*
void LD_ColocarNodeADarrera(PNode Node_A_Recolocar, tLlistaNodes *LlistaNodes)
{

			if(LlistaNodes->n_nodes == 1)
			{
				return; // Ja esta ben colocat.
			}

			if(Node_A_Recolocar == LlistaNodes->Primer)
			{
				LlistaNodes->Primer = Node_A_Recolocar->Seguent;
			}
	
			Node_A_Recolocar->Seguent = NULL;
			LlistaNodes->Ultim->Seguent			= Node_A_Recolocar;
			LlistaNodes->Ultim					= Node_A_Recolocar;
	

}
*/
/*
void LD_Borrar(int ID_Node, tLlistaNodes *LlistaNodes)
{
	PNode Node_A_Borrar;

	if((Node_A_Borrar = LD_Cerca(ID_Node,LlistaNodes)) != NULL)
	{
		if((Node_A_Borrar == LlistaNodes->Primer) && (Node_A_Borrar == LlistaNodes->Ultim))
		{
			// Un sol node...
			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);

			LlistaNodes->Primer = LlistaNodes->Ultim = NULL;
			LlistaNodes->n_nodes = 0;	


		}
		else
		{
			if(Node_A_Borrar == LlistaNodes->Primer)
			{
				LlistaNodes->Primer = Node_A_Borrar->Seguent;		
			}
			else
			{
				if(Node_A_Borrar == LlistaNodes->Ultim)
				{
					LlistaNodes->Ultim = Node_A_Borrar->Anterior;
				}
			}
			
			Node_A_Borrar->Anterior->Seguent = Node_A_Borrar->Seguent;
			
			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);

			LlistaNodes->n_nodes--;	
		
		
		}

	
	}
	

}
*/
/*
//
// METODE DE DESEMPILAR NODE PER REFERENCIA (+ RAPID)
//
void LD_BorrarNodeRef(PNode Node_A_Borrar, tLlistaNodes *LlistaNodes)
{
	if(LlistaNodes != NULL && Node_A_Borrar != NULL)
	{
		if((LlistaNodes->Primer == Node_A_Borrar) && (LlistaNodes->Ultim == Node_A_Borrar)) // Un node...
		{
			LlistaNodes->Primer = LlistaNodes->Ultim = LlistaNodes->NodeActual = NULL;

			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);
			Node_A_Borrar = NULL;
			LlistaNodes->n_nodes = 0;
		}
		else // + de un node...
		{
			if(Node_A_Borrar == LlistaNodes->Primer)
			{
				LlistaNodes->Primer = Node_A_Borrar->Seguent;		
				//LlistaNodes->Ultim->Anterior = LlistaNodes->Primer;
			}
			else 
			{
				if(Node_A_Borrar == LlistaNodes->Ultim)
				{
					LlistaNodes->Ultim = Node_A_Borrar->Anterior;
				}
			}
			
			
			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);
			
			LlistaNodes->n_nodes--;	
		}
		
	}
}
*/
/*
void LD_Borrar_tots_els_nodes(tLlistaNodes *LlistaNodes)
{
	PNode Node_Actual = LlistaNodes->Primer,Node_A_Borrar;
	int NNodes = LlistaNodes->n_nodes;


	while(NNodes--)
	{
		Node_A_Borrar = Node_Actual;
		Node_Actual = Node_Actual->Seguent;

		Alliberar_Punter(Node_A_Borrar->InfoNode);
		Alliberar_Punter(Node_A_Borrar);
	
	
	}


	LlistaNodes->Primer = LlistaNodes->Ultim = NULL;

	LE_BorrarLlista(&LlistaNodes->LE);

}
*/


void LD_InitLlista(tLlistaNodes *LlistaNodes)
{
	memset(LlistaNodes,0,sizeof(tLlistaNodes));
}


//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
////
////	IMPLEMENTACI GESTIO DE NODES AMB CRREGA DE INFORMACI GENERICA...
////
////
PNode LD_EmpilarInfoFIFO(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	PNode NouNode;
	void **ptr_llista;
	//llista_aux = LlistaNodes;
	
	Reservar_Memoria(NouNode,tNode,1);//sizeof(tNode))) == NULL) 
	
	if(NouNode == NULL)
	{
		PRINT_ERROR("\nMemria insuficient per donar %i bytes per empilar info FIFO!!!",sizeof(tNode));
		return NULL;
	}
	
	// mplim info nou node...	
	NouNode->ID_Node = ID_Node;
	NouNode->InfoNode = Info;
	
	if(LlistaNodes->Primer == NULL) // Primer nou node...
	{

		LlistaNodes->Ultim =LlistaNodes->Primer = NouNode;
		NouNode->Seguent = NouNode;
		NouNode->Anterior = NouNode;
		LlistaNodes->n_nodes = 1;

		if((ptr_llista = LlistaNodes->LE.InfoLlistaEstatica))
		{
			if((ID_Node < 0) || (ID_Node >= LlistaNodes->max_nodes)) PRINT_ERROR("\n S'ha rebassat el mxim ID!!!!",0);
			else ptr_llista[ID_Node] = NouNode;
		}

	}
	else // Encuem node al estil FIFO (First Input - First OutPut)...
	{
		// Actualitzaci apuntadors nou node...
		NouNode->Seguent =  LlistaNodes->Primer;
		NouNode->Anterior = LlistaNodes->Ultim;
		
		// llista nodes actualitzada...
		if(LlistaNodes->Ultim == LlistaNodes->Primer)
			LlistaNodes->Primer->Seguent = NouNode;

		LlistaNodes->Primer->Anterior = NouNode;
		
		LlistaNodes->Ultim->Seguent = NouNode;
		LlistaNodes->Ultim = NouNode;

		if((ptr_llista = LlistaNodes->LE.InfoLlistaEstatica))
		{
			if((ID_Node < 0) || (ID_Node >= LlistaNodes->max_nodes)) PRINT_ERROR("\n S'ha rebassat el mxim ID!!!!",0);
			else ptr_llista[ID_Node] = NouNode;
		}

		
		LlistaNodes->n_nodes++;
		
		
	}
	
	return NouNode;
	
}



PNode LD_EmpilarInfoFILO(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	PNode NouNode;
	//llista_aux = (*LlistaNodes);
	void **ptr_llista;
	
	Reservar_Memoria(NouNode,tNode,1);//sizeof(tNode))) == NULL) 
	
	if(NouNode == NULL)
	{
		PRINT_ERROR("\nMemria insuficient per donar %i bytes per empilar info FILO!!!",sizeof(tNode));
		return NULL;
	}
	
	// mplim info nou node...	
	NouNode->ID_Node = ID_Node;
	NouNode->InfoNode = Info;
	
	if(LlistaNodes->Primer == NULL) // Primer nou node...
	{
		NouNode->Seguent = NouNode;
		NouNode->Anterior = NouNode;
		LlistaNodes->Ultim =LlistaNodes->Primer = NouNode;
		LlistaNodes->n_nodes = 1;
	}
	else // Encuem node al estil de pila (First Input - Last OutPut)...
	{
		// Actualitzaci apuntadors nou node...
		NouNode->Seguent =  LlistaNodes->Primer;
		NouNode->Anterior = LlistaNodes->Ultim;
		
		// Actualitzaci llista nodes...

		if(LlistaNodes->Ultim == LlistaNodes->Primer)
			LlistaNodes->Ultim->Anterior = NouNode;
	
		LlistaNodes->Ultim->Seguent = NouNode;

		LlistaNodes->Primer->Anterior = NouNode;

		LlistaNodes->Primer = NouNode;

		
		if((ptr_llista = LlistaNodes->LE.InfoLlistaEstatica))
		{
			if((ID_Node < 0) || (ID_Node >= LlistaNodes->max_nodes)) PRINT_ERROR("\n S'ha rebassat el mxim ID!!!!",0);
			else ptr_llista[ID_Node] = NouNode;
		}		

		LlistaNodes->n_nodes++;
		
	}
	
	return NouNode;
	
}



PNode LD_EmpilarInfoLIFO(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	return NULL;	
}



PNode LD_EmpilarInfoLILO(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
	return NULL;
}




PNode LD_EmpilarInfo_ORDER_TO_ASCENDENT(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
/*	//
	// PRE: Es suposa que la llista ja esta ordenada ascendenment.
	//
	PNode NouNode,Previus_Node,Actual_Node;
	//PLlistaNodes llista_aux;
	int End;
	
	//llista_aux = (*LlistaNodes);
	
	Reservar_Memoria(NouNode,tNode,1);//sizeof(tNode))) == NULL) 
	
	if(NouNode == NULL)
	{
		PRINT_ERROR("\nMemria insuficient per donar %i bytes per empilar info FILO!!!",sizeof(tNode));
		return FALS;
	}
	
	// mplim info nou node...	
	NouNode->ID_Node = ID_Node;
	NouNode->InfoNode = Info;
	
	if(LlistaNodes->Primer == NULL) // Primer nou node...
	{
		NouNode->Seguent = NouNode;
		NouNode->Anterior = NouNode;
		LlistaNodes->Ultim =LlistaNodes->Primer = NouNode;
		LlistaNodes->n_nodes = 1;
	}
	else // Encuem el node en ordre ASCENDENT segons el seu ID...
	{
		
		Previus_Node = Actual_Node = LlistaNodes->Primer;
		End = FALS;
		
		while((Actual_Node != NULL) && !End)
		{
			if( ID_Node < Actual_Node->ID_Node)
			{
				End = CERT;			
			}
			else
			{
				Previus_Node = Actual_Node;
				Actual_Node = Actual_Node->Seguent;				
				
			}
			
			
		}
		
		
		if(Previus_Node == LlistaNodes->Primer && Actual_Node == LlistaNodes->Primer) // The new node will be the first of list nodes...
		{
			
			// Actualitzaci apuntadors nou node...
			NouNode->Seguent =  LlistaNodes->Primer;
			NouNode->Anterior = LlistaNodes->Ultim;
			
			// llista nodes actualitzada...
			LlistaNodes->Ultim = NouNode;
			LlistaNodes->n_nodes++;
			
		}
		else
		{	
			if(Actual_Node == LlistaNodes->Ultim) // The new node will be the first of list nodes...
			{
				// Actualitzaci apuntadors nou node...
				NouNode->Seguent =  LlistaNodes->Primer;
				NouNode->Anterior = LlistaNodes->Ultim;
				
				// Actualitzaci llista nodes...
				LlistaNodes->Primer = NouNode;
				LlistaNodes->n_nodes++;
				
			}
			else // El node esta entremitg de la llista...
			{
				// Actualitzaci apuntadors nou node...
				NouNode->Seguent  = Actual_Node;
				NouNode->Anterior = Previus_Node;
				
				// Actualitzaci apuntadors del node previ i actual...
				Previus_Node->Seguent = NouNode;
				Actual_Node->Anterior = NouNode;
			}
			
		}
		
		
		
	}
	*/
	
	return NULL;
	
	
	
}



PNode LD_EmpilarInfo_ORDER_TO_DESCENDENT(int ID_Node,tGeneric Info, tLlistaNodes *LlistaNodes)
{
/*	//
	// PRE: Es suposa que la llista ja esta ordenada descendenment.
	//
	PNode NouNode,Previus_Node,Actual_Node;
//	PLlistaNodes llista_aux;
	int End;
	//llista_aux = (*LlistaNodes);
	
	Reservar_Memoria(NouNode,tNode,1);//sizeof(tNode))) == NULL) 
	
	if(NouNode == NULL)
	{
		PRINT_ERROR("\nMemria insuficient per donar %i bytes per empilar info FILO!!!",sizeof(tNode));
		return FALS;
	}
	
	// mplim info nou node...	
	NouNode->ID_Node = ID_Node;
	NouNode->InfoNode = Info;
	
	if(LlistaNodes->Primer == NULL) // Primer nou node...
	{
		NouNode->Seguent = NouNode;
		NouNode->Anterior = NouNode;
		LlistaNodes->Ultim =LlistaNodes->Primer = NouNode;
		LlistaNodes->n_nodes = 1;
	}
	else // Encuem el node en ordre DESCENDENT segons el seu ID...
	{
		
		Previus_Node = Actual_Node = LlistaNodes->Primer;
		End = FALS;
		
		while((Actual_Node != NULL) && !End)
		{
			if( ID_Node > Actual_Node->ID_Node)
			{
				End = CERT;			
			}
			else
			{
				Previus_Node = Actual_Node;
				Actual_Node = Actual_Node->Seguent;				
				
			}
			
			
		}
		
		
		if(Previus_Node == LlistaNodes->Primer && Actual_Node == LlistaNodes->Primer) // The new node will be the first of list nodes...
		{
			
			// Actualitzaci apuntadors nou node...
			NouNode->Seguent =  LlistaNodes->Primer;
			NouNode->Anterior = LlistaNodes->Ultim;
			
			// llista nodes actualitzada...
			LlistaNodes->Ultim = NouNode;
			LlistaNodes->n_nodes++;
			
		}
		else
		{	
			if(Actual_Node == LlistaNodes->Ultim) // The new node will be the first of list nodes...
			{
				// Actualitzaci apuntadors nou node...
				NouNode->Seguent =  LlistaNodes->Primer;
				NouNode->Anterior = LlistaNodes->Ultim;
				
				// Actualitzaci llista nodes...
				LlistaNodes->Primer = NouNode;
				LlistaNodes->n_nodes++;
				
			}
			else // El node esta entremitg de la llista...
			{
				// Actualitzaci apuntadors nou node...
				NouNode->Seguent  = Actual_Node;
				NouNode->Anterior = Previus_Node;
				
				// Actualitzaci apuntadors del node previ i actual...
				Previus_Node->Seguent = NouNode;
				Actual_Node->Anterior = NouNode;
				
				
				LlistaNodes->n_nodes++;
			}
			
		}
	}
	
*/	
	return NULL;
	
}

PNode LD_Empilar(int ID_Node, tGeneric Info, tLlistaNodes *LlistaNodes, int tipus_empilatge)
{
	switch(tipus_empilatge)
	{
	case FILO: return LD_EmpilarInfoFILO(ID_Node, Info, LlistaNodes);break;
	case FIFO:return LD_EmpilarInfoFIFO(ID_Node, Info, LlistaNodes);break;
	case LIFO:return LD_EmpilarInfoLIFO(ID_Node, Info, LlistaNodes);break;
	case LILO:return LD_EmpilarInfoLILO(ID_Node, Info, LlistaNodes);break;
	case ORDER_TO_ASCENDENT: return LD_EmpilarInfo_ORDER_TO_ASCENDENT(ID_Node, Info, LlistaNodes);break;
	case ORDER_TO_DESCENDENT:return LD_EmpilarInfo_ORDER_TO_DESCENDENT(ID_Node, Info, LlistaNodes);break;
	default:
		PRINT_ERROR("\nEl tipus de empilatge s invalid!!!",0);
		return NULL;
	}

	
}

////
////  
////
////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
////
////  
////
////

void LD_EmpilarNodeFIFO(tNode *Node, tLlistaNodes *LlistaNodes)
{
	if(LlistaNodes->Primer == NULL) // Primer node ...
	{
		Node->Anterior = Node;
		Node->Seguent = Node;
		LlistaNodes->Primer = LlistaNodes->Ultim = Node;
		LlistaNodes->n_nodes = 1;


	}
	else // Empilatge FIFO...
	{
	/*	
		LlistaNodes->Ultim = Node;
		LlistaNodes->n_nodes++;*/
		
		Node->Seguent  = LlistaNodes->Primer;
		Node->Anterior = LlistaNodes->Ultim;

		if(LlistaNodes->Ultim == LlistaNodes->Primer)
			LlistaNodes->Primer->Seguent = Node;

		LlistaNodes->Primer->Anterior = Node;
		
		LlistaNodes->Ultim->Seguent = Node;
		LlistaNodes->Ultim = Node;
		
		LlistaNodes->n_nodes++;

	}



}

void LD_EmpilarNodeFILO(tNode *Node, tLlistaNodes *LlistaNodes)
{
	if(LlistaNodes == NULL) // Primer node ...
	{
		Node->Anterior = Node;
		Node->Seguent = Node;
		LlistaNodes->Primer = LlistaNodes->Ultim = Node;
		LlistaNodes->n_nodes = 1;

	}
	else // Empilatge FILO...
	{
		Node->Seguent  = LlistaNodes->Primer;
		Node->Anterior = LlistaNodes->Ultim;

		if(LlistaNodes->Ultim == LlistaNodes->Primer)
			LlistaNodes->Ultim->Anterior = Node;
	
		LlistaNodes->Ultim->Seguent = Node;

		LlistaNodes->Primer->Anterior = Node;

		LlistaNodes->Primer = Node;
				
		LlistaNodes->n_nodes++;
	}

	//return CERT;



}

int LD_EmpilarNode(tNode *Node, tLlistaNodes *LlistaNodes, int tipus_empilatge)
{

	switch(tipus_empilatge)
	{
	case FILO: LD_EmpilarNodeFILO(Node,  LlistaNodes);break;
	case FIFO: LD_EmpilarNodeFIFO(Node, LlistaNodes);break;
	default:
		PRINT_ERROR("\nEl tipus de empilatge s invalid!!!",0);
		return FALS;
	}


	return CERT;


}


////
////  
////
////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

/*
PNode NODE_CercaRecursiva(int ID_Node, PNode Node_Actual,int nivell)
{
		if(nivell == 0)
		{
			return NULL;
		}
		else
		{
			if(Node_Actual->ID_Node == ID_Node) return Node_Actual;
			else return NODE_CercaRecursiva(ID_Node, Node_Actual->Seguent,--nivell);
		}
}
*/

PNode LD_Cerca(int ID_Node, PLlistaNodes LlistaNodes)
{
	int NNodes;
	PNode Node_Actual;
	void **ptr;

	if(LlistaNodes == NULL) return NULL;

	if((ptr = LlistaNodes->LE.InfoLlistaEstatica))
	{
			if(ID_Node >= 0 && ID_Node < LlistaNodes->max_nodes) return ptr[ID_Node];
			
	}


	NNodes = LlistaNodes->n_nodes;
	Node_Actual = LlistaNodes->Primer;
	
	while(NNodes--)
	{
		if(Node_Actual->ID_Node == ID_Node) return Node_Actual;
		
		Node_Actual = Node_Actual->Seguent;

	}

	return NULL;
}


PNode LD_Extraure(int ID_Node, tLlistaNodes *LlistaNodes)
{
	PNode NodeExtret = NULL;
	void		**ptr;


	NodeExtret = LD_Cerca(ID_Node,LlistaNodes);

	if(NodeExtret != NULL) // Realitzem les conexions pertinents...
	{

		if(LlistaNodes->n_nodes == 1)
		{
			NodeExtret = LlistaNodes->Primer;

			LlistaNodes->Primer  = NULL;
			LlistaNodes->Ultim   = NULL;
			LlistaNodes->n_nodes = 0;
		}
		else
		{
			
			if(NodeExtret == LlistaNodes->Primer)
			{
				LlistaNodes->Primer   = NodeExtret->Seguent;
				//LlistaNodes->Primer->Anterior = LlistaNodes->Ultim;
				//LlistaNodes->Ultim->Seguent = LlistaNodes->Primer;
				
			}
			else
			{
				if(NodeExtret == LlistaNodes->Ultim)
				{
					LlistaNodes->Ultim			= NodeExtret->Anterior;
					//LlistaNodes->Primer->Anterior = LlistaNodes->Ultim;
					//LlistaNodes->Ultim->Seguent = LlistaNodes->Primer;
					
				}
				else // cap problema...
				{
										
				}
				
			}

			NodeExtret->Seguent->Anterior  = NodeExtret->Anterior;
			NodeExtret->Anterior->Seguent  = NodeExtret->Seguent;

			// Fet..



			
			LlistaNodes->n_nodes--;
		}

		
	
	}

	if(NodeExtret != NULL)
	{
		if((ptr = LlistaNodes->LE.InfoLlistaEstatica))
		{
			ptr[NodeExtret->ID_Node] = NULL;
		}
	}



	return NodeExtret;
	
	
}

PNode LD_ExtraurePrimer(tLlistaNodes *LlistaNodes)
{
	PNode NodeExtret = NULL;
	void		**ptr;


	NodeExtret = LlistaNodes->Primer;//LD_Cerca(ID_Node,LlistaNodes);

	if(NodeExtret != NULL) // Realitzem les conexions pertinents...
	{

		if(LlistaNodes->n_nodes == 1)
		{
			NodeExtret = LlistaNodes->Primer;

			LlistaNodes->Primer  = NULL;
			LlistaNodes->Ultim   = NULL;
			LlistaNodes->n_nodes = 0;
		}
		else
		{
			
			LlistaNodes->Primer   = NodeExtret->Seguent;


			NodeExtret->Seguent->Anterior  = NodeExtret->Anterior;
			NodeExtret->Anterior->Seguent  = NodeExtret->Seguent;

			// Fet..

		
			LlistaNodes->n_nodes--;
		}

		
	
	}

	if(NodeExtret != NULL)
	{
		if((ptr = LlistaNodes->LE.InfoLlistaEstatica))
		{
			ptr[NodeExtret->ID_Node] = NULL;
		}
	}

	return NodeExtret;
	
	
}


void LD_Borrar(int ID_Node, tLlistaNodes *LlistaNodes)
{
/*	PNode Node_A_Borrar;

	if((Node_A_Borrar = NODE_Cerca(ID_Node,LlistaNodes)) != NULL)
	{
		if((Node_A_Borrar == LlistaNodes->Primer) && (Node_A_Borrar == LlistaNodes->Ultim))
		{
			// Un sol node...
			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);

			LlistaNodes->Primer = LlistaNodes->Ultim = NULL;
			LlistaNodes->n_nodes = 0;	


		}
		else
		{
			if(Node_A_Borrar == LlistaNodes->Primer)
			{
				LlistaNodes->Primer = Node_A_Borrar->Seguent;		
			}
			else
			{
				if(Node_A_Borrar == LlistaNodes->Ultim)
				{
					LlistaNodes->Ultim = Node_A_Borrar->Anterior;
				}
			}
			
			Node_A_Borrar->Seguent->Anterior = Node_A_Borrar->Anterior;
			Node_A_Borrar->Anterior->Seguent = Node_A_Borrar->Seguent;
			
			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);

			LlistaNodes->n_nodes--;	
		
		
		}

	
	}*/
	

}


//
// METODE DE DESEMPILAR NODE PER REFERENCIA (+ RAPID)
//
void LD_BorrarNodeRef(PNode Node_A_Borrar, tLlistaNodes *LlistaNodes)
{
/*	if(LlistaNodes != NULL && Node_A_Borrar != NULL)
	{
		if((LlistaNodes->Primer == Node_A_Borrar) && (LlistaNodes->Ultim == Node_A_Borrar)) // Un node...
		{
			LlistaNodes->Primer = LlistaNodes->Ultim = NULL;

			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);
			Node_A_Borrar = NULL;
			LlistaNodes->n_nodes = 0;
		}
		else // + de un node...
		{
			if(Node_A_Borrar == LlistaNodes->Primer)
			{
				LlistaNodes->Primer = Node_A_Borrar->Seguent;		
				//LlistaNodes->Ultim->Anterior = LlistaNodes->Primer;
			}
			else 
			{
				if(Node_A_Borrar == LlistaNodes->Ultim)
				{
					LlistaNodes->Ultim = Node_A_Borrar->Anterior;
				}
			}
			
			Node_A_Borrar->Seguent->Anterior = Node_A_Borrar->Anterior;
			Node_A_Borrar->Anterior->Seguent = Node_A_Borrar->Seguent;
			
			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);
			
			LlistaNodes->n_nodes--;	
		}
		
	}*/
}


void LD_Borrar_tots_els_nodes(tLlistaNodes *LlistaNodes)
{
	PNode Node_Actual = LlistaNodes->Primer,Node_A_Borrar;
	int NNodes = LlistaNodes->n_nodes;

	if(LlistaNodes->Primer)
	{
		
		
		while(NNodes--)
		{
			Node_A_Borrar = Node_Actual;
			Node_Actual = Node_Actual->Seguent;
			
			Alliberar_Punter(Node_A_Borrar->InfoNode);
			Alliberar_Punter(Node_A_Borrar);
			
			
		}
		
		
		LlistaNodes->Primer = LlistaNodes->Ultim = NULL;
		
		//LE_BorrarLlista(&LlistaNodes->LE);
		
		if(LlistaNodes->LE.InfoLlistaEstatica) 
		{
		//	memset(LlistaNodes->LE.InfoLlistaEstatica,0,LlistaNodes->LE.MaxElements*sizeof(void *));
			LlistaNodes->LE.MaxElements = 0;
			Alliberar_Punter(LlistaNodes->LE.InfoLlistaEstatica);
			LlistaNodes->LE.InfoLlistaEstatica = NULL;
		}
	}


}
