#define INIT_COTES_SOSTRE_INICI\
   if(PAC_Sostre != NULL)\
   {\
   if(PAC_Sostre->Retallat_Vertical != NULL)\
     {\
          y_inicial_retallat_vertical_sostre=PAC_Sostre->Retallat_Vertical->y_inicial;\
          y_final_retallat_vertical_sostre=PAC_Sostre->Retallat_Vertical->y_final;\
          x_inicial_retallat_vertical_sostre=PAC_Sostre->Retallat_Vertical->x_inicial;\
          x_final_retallat_vertical_sostre=PAC_Sostre->Retallat_Vertical->x_final;\
          ymin_retallat_vertical_sostre=PAC_Sostre->Retallat_Vertical->ymin;\
          ymax_retallat_vertical_sostre=PAC_Sostre->Retallat_Vertical->ymax;\
          Ysostre_anterior = PAC_Sostre->y_retallat_paret_anterior; \
          y_retallat_sostre_anterior = PAC_Sostre->y_retallat_portal_anterior;\
     }\
     if(IS_PANORAMA(PAC_Sostre->MipMap->Propietats))\
     {\
          if(U_POWER_OF_2(PAC_Sostre->MipMap->Propietats))\
          {\
               amplada_imatge = (0x1 << PAC_Sostre->MipMap->DimX);\
               mascara_u_paisatge = amplada_imatge-1;\
          }\
          else\
          {\
          amplada_imatge = PAC_Sostre->MipMap->DimX;\
          mascara_u_paisatge = 0xFFFF;\
          }\
          altura_imatge = V_POWER_OF_2(PAC_Sostre->MipMap->Propietats)? (0x1 << PAC_Sostre->MipMap->DimY):PAC_Sostre->MipMap->DimY;\
          GET_DU_PAISATGE(du_paisatge,amplada_imatge);\
          GET_DV_PAISATGE(dv_paisatge,altura_imatge);\
          u_paisatge = ((Jugador->AngleDireccio << 2) << 16) + (x1-CENTRE_X2D_EFECTIU)*du_paisatge;\
     }\
}\


#define INIT_COTES_TERRA_INICI\
          if(PAC_Terra != NULL)\
          {\
               if(PAC_Terra->Retallat_Vertical != NULL)\
               {\
                    y_inicial_retallat_vertical_terra     =     PAC_Terra->Retallat_Vertical->y_inicial;\
                    y_final_retallat_vertical_terra     =     PAC_Terra->Retallat_Vertical->y_final;\
                    x_inicial_retallat_vertical_terra     =     PAC_Terra->Retallat_Vertical->x_inicial;\
                    x_final_retallat_vertical_terra     =     PAC_Terra->Retallat_Vertical->x_final;\
                    ymin_retallat_vertical_terra          =     PAC_Terra->Retallat_Vertical->ymin;\
                    ymax_retallat_vertical_terra          =     PAC_Terra->Retallat_Vertical->ymax;\
                    Yterra_anterior                    =     PAC_Terra->y_retallat_paret_anterior;\
                    y_retallat_terra_anterior     =     PAC_Terra->y_retallat_portal_anterior;\
               }\
          if(IS_PANORAMA(PAC_Terra->MipMap->Propietats))\
          {\
               if(U_POWER_OF_2(PAC_Terra->MipMap->Propietats))\
               {\
                    amplada_imatge = (0x1 << PAC_Terra->MipMap->DimX);\
                    mascara_u_paisatge = amplada_imatge-1;\
               }\
               else\
               {\
                    amplada_imatge = PAC_Terra->MipMap->DimX;\
                    mascara_u_paisatge = 0xFFFF;\
               }\
               altura_imatge = V_POWER_OF_2(PAC_Terra->MipMap->Propietats)? (0x1 << PAC_Terra->MipMap->DimY):PAC_Terra->MipMap->DimY;\
               GET_DU_PAISATGE(du_paisatge,amplada_imatge);\
               GET_DV_PAISATGE(dv_paisatge,altura_imatge);\
               u_paisatge = ((Jugador->AngleDireccio << 2) << 16) + (x1-CENTRE_X2D_EFECTIU)*du_paisatge;\
          }\
     }\



#define ACTUALITZAR_COTES_SOSTRE\
       if(PAC_Sostre != NULL)\
       {\
            if(PAC_Sostre->Retallat_Horitzontal != NULL)\
            {\
                ActualitzarCotesSostre(x, y_retallat_sostre_actual,\
                    y_retallat_sostre_anterior,\
                    min(Ysostre_actual, y_retallat_terra_actual),\
                    min(Ysostre_anterior, y_retallat_terra_anterior),\
                    PAC_Sostre\
                    );\
            }\
            else\
            {\
                if(PAC_Sostre->Retallat_Vertical != NULL)\
                {\
                    ymin_retallat_vertical_sostre[x-x_inicial]    = y_retallat_sostre_actual;\
                    ymax_retallat_vertical_sostre[x-x_inicial]    = Ysostre_actual-1;\
                    y_inicial_retallat_vertical_sostre            = min(y_inicial_retallat_vertical_sostre,y_retallat_sostre_actual);\
                    y_final_retallat_vertical_sostre            = max(y_final_retallat_vertical_sostre,Ysostre_actual-1);\
                   if(y_retallat_sostre_actual <= (Ysostre_actual-1))\
                    {\
                        if(x_final_retallat_vertical_sostre == -1)\
                        {\
                            x_inicial_retallat_vertical_sostre = x_final_retallat_vertical_sostre = x;\
                        }\
                        else\
                        {\
                            x_final_retallat_vertical_sostre = x;\
                        }\
                    }\
                }\
            }\
      }\



#define ACTUALITZAR_COTES_TERRA\
            if(PAC_Terra != NULL)\
            {\
            if(PAC_Terra->Retallat_Horitzontal != NULL)\
            {\
                ActualitzarCotesTerra((x), y_retallat_terra_actual,\
                    y_retallat_terra_anterior,\
                    max(Yterra_actual, y_retallat_sostre_actual),\
                    max(Yterra_anterior, y_retallat_sostre_anterior),\
                    PAC_Terra\
                    );\
            }\
            else\
            {\
                if(PAC_Terra->Retallat_Vertical != NULL)\
                {\
                    ymin_retallat_vertical_terra[x-x_inicial]    = Yterra_actual+1;\
                    ymax_retallat_vertical_terra[x-x_inicial]    = y_retallat_terra_actual;\
                    y_inicial_retallat_vertical_terra            = min(y_inicial_retallat_vertical_terra,Yterra_actual+1);\
                    y_final_retallat_vertical_terra                = max(y_final_retallat_vertical_terra,y_retallat_terra_actual);\
                    if((Yterra_actual+1) <= y_retallat_terra_actual)\
                    {\
                        if(x_final_retallat_vertical_terra == -1)\
                        {\
                            x_inicial_retallat_vertical_terra = x_final_retallat_vertical_terra = x;\
                        }\
                        else\
                        {\
                            x_final_retallat_vertical_terra = x;\
                        }\
                    }\
                }\
            }\
            }\


#define INIT_COTES_SOSTRE_FI\
    if(PAC_Sostre != NULL)\
    {\
        if(PAC_Sostre->Retallat_Vertical != NULL)\
        {\
            PAC_Sostre->Retallat_Vertical->y_inicial = y_inicial_retallat_vertical_sostre;\
            PAC_Sostre->Retallat_Vertical->y_final = y_final_retallat_vertical_sostre;\
            PAC_Sostre->Retallat_Vertical->x_inicial = x_inicial_retallat_vertical_sostre;\
            PAC_Sostre->Retallat_Vertical->x_final=x_final_retallat_vertical_sostre;\
            PAC_Sostre->y_retallat_paret_actual  =  Ysostre_actual;\
            PAC_Sostre->y_retallat_portal_actual =  y_retallat_sostre_actual;\
            PAC_Sostre->y_retallat_paret_anterior  =  Ysostre_anterior;\
            PAC_Sostre->y_retallat_portal_anterior =  y_retallat_sostre_anterior;\
        }\
    }\


#define INIT_COTES_TERRA_FI\
    if(PAC_Terra != NULL)\
    {\
        if(PAC_Terra->Retallat_Vertical != NULL)\
        {\
            PAC_Terra->Retallat_Vertical->y_inicial = y_inicial_retallat_vertical_terra;\
            PAC_Terra->Retallat_Vertical->y_final    = y_final_retallat_vertical_terra;\
            PAC_Terra->Retallat_Vertical->x_inicial    = x_inicial_retallat_vertical_terra;\
            PAC_Terra->Retallat_Vertical->x_final    = x_final_retallat_vertical_terra;\
            PAC_Terra->y_retallat_paret_actual  =  Yterra_actual;\
            PAC_Terra->y_retallat_portal_actual =  y_retallat_terra_actual;\
            PAC_Terra->y_retallat_paret_anterior  =  Yterra_anterior;\
            PAC_Terra->y_retallat_portal_anterior =  y_retallat_terra_anterior;\
        }\
    }\

