//    Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
//    Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
//
//    This file is part of Jespa3D Engine.
//
//    Jespa3D Engine is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    Jespa3D Engine is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Jespa3D Engine; ; see the file COPYING. if not, write to 
//    the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//    Boston, MA  02111-1307  USA



#ifndef __MON_H__
#define __MON_H__

#include "Mapa.h"

/////////////////
// DEFINICIONS //
/////////////////




#define   MAX_MAPES_2D	            2

#ifdef __HAM__
#define __UTILITZAR_EL_MON_PREGUARDAT
#else


#ifdef __ARITMETICA_FIXA__
//#define __UTILITZAR_EL_MON_PREGUARDAT
#endif




#endif

#if !defined(__UTILITZAR_EL_MON_PREGUARDAT) && !defined(__HAM__)
	#define __VULL_CREAR_MON_EN_FORMAT_CRU

#endif

///////////
// TIPUS //
///////////

typedef struct{

	short    N_Mapes2D,
			 NVertexs;
	tMapa2D  Mapa2D[MAX_MAPES_2D];

}tMapaMon;

///////////////////////
// VARIABLES GLOBALS //
///////////////////////

extern tMapaMon *MapaMon;// MEM_IN_EWRAM;


// Construcci del mon de demostraci...
void MON_Demo();
void MON_CrearMapaMonEnFormatCru(const tMapaMon *MapaMon);

PSector MON_SectorJugador(tJugador *Jugador);
PSector MON_SectorPunt(FIXED32 PosicioX,FIXED32 PosicioZ, FIXED32 PosicioY,int *intersecta);
void MON_ConfiguracioAutomaticaMon(tMapaMon *MapaMon);


#endif
