//
// REDNERITZACIO TERRA SOSTRE...
//


//--------------------------------------------------------------------------------------
//-----------------  FUNCIONS D'ASSIGNACIO DE COTES INICI-FI X -------------------------
//--------------------------------------------------------------------------------------


void ActualitzarCotesSostre(int x, int y_retallat_sostre_anterior,int y_retallat_sostre,int y_sostre_sector_anterior, int y_sostre_sector, tInformacioCotesPla *ICP)
{
	// PRE: Les cotes y_min_sostre, ymax_sostre han d'estar previament inicialitzats.

	int diff_retallat, diff_sector, i, Assignacio = FALS;



	if(y_retallat_sostre >= (ALTURA_PANTALLA_EFECTIVA >> 1) && y_retallat_sostre_anterior >= (ALTURA_PANTALLA_EFECTIVA >> 1)) return; // Impossible actualitzar cotes...

	diff_retallat = y_retallat_sostre - y_retallat_sostre_anterior;
	diff_sector =   y_sostre_sector - y_sostre_sector_anterior;


	
	// Assignaci de cotes respecte retallat...

	if(abs(diff_retallat) != 0) // Hi ha cotes per inicialitzar respecte retallat...
	{
		if(diff_retallat < 0)// Assignaci de cotes x1 (x)...
		{
			if((y_sostre_sector-1) >= y_retallat_sostre) 
			{ 
				if(ICP->ymin_sostre == ALTURA_PANTALLA_EFECTIVA) {Assignacio = CERT; ICP->ymin_sostre = y_retallat_sostre; ICP->ymax_sostre = y_sostre_sector-1;}
				else ICP->ymin_sostre = min(ICP->ymin_sostre,y_retallat_sostre);

				for(i = y_retallat_sostre; i < min(y_retallat_sostre_anterior,y_sostre_sector) ; i++) Assignacio ? (ICP->x1[i] = ICP->x2[i] = x) : (ICP->x1[i] = x); // x
			}
		}
		else // Assignaci de cotes x2 (x-1)...
		{
			if((y_sostre_sector_anterior-1) >= y_retallat_sostre_anterior) 
			{ 
				if(ICP->ymin_sostre == ALTURA_PANTALLA_EFECTIVA) { Assignacio = CERT; ICP->ymin_sostre = y_retallat_sostre_anterior; ICP->ymax_sostre = y_sostre_sector_anterior-1;}
				else ICP->ymin_sostre = min(ICP->ymin_sostre,y_retallat_sostre_anterior);

				for(i = y_retallat_sostre_anterior; i < min(y_retallat_sostre, y_sostre_sector_anterior) ; i++) Assignacio ? (ICP->x1[i] = ICP->x2[i] = x-1):(ICP->x2[i] = x-1); // x - 1
			}
		}
	}
		

	if(abs(diff_sector) != 0) // Hi ha cotes per inicialitzar respecte sector...
	{
		if(diff_sector < 0) // Assignaci de cotes x2...		
		{
			if((y_sostre_sector_anterior-1) >= y_retallat_sostre_anterior)
			{
				if(ICP->ymax_sostre < 0) {Assignacio = CERT;ICP->ymin_sostre = y_retallat_sostre_anterior;ICP->ymax_sostre = y_sostre_sector_anterior-1;}
				else ICP->ymax_sostre = max(ICP->ymax_sostre,y_sostre_sector_anterior-1);

				for(i = y_sostre_sector_anterior-1; i >= max(y_sostre_sector,y_retallat_sostre_anterior); i--) Assignacio ? (ICP->x1[i] = ICP->x2[i] = x-1):(ICP->x2[i] = x-1); // x -1
			}
		}
		else // Assignaci de cotes x1...
		{
			if((y_sostre_sector-1) >= y_retallat_sostre) 
			{
				
				if(ICP->ymax_sostre < 0) {Assignacio = CERT; ICP->ymin_sostre = y_retallat_sostre;ICP->ymax_sostre = y_sostre_sector-1;}
				else ICP->ymax_sostre = max(ICP->ymax_sostre,y_sostre_sector-1);
					
				for(i = y_sostre_sector-1; i >= max(y_sostre_sector_anterior,y_retallat_sostre_anterior); i--) Assignacio? (ICP->x1[i] = ICP->x2[i] = x):(ICP->x1[i] = x); // x 
			}
		}
	}



}


void ActualitzarCotesTerra(int x, int y_retallat_terra_anterior,int y_retallat_terra,int y_terra_sector_anterior, int y_terra_sector, tInformacioCotesPla *ICP)
{
	// PRE: Les cotes y_min_sostre, ymax_sostre han d'estar previament inicialitzats.

	int diff_retallat, diff_sector, i, Assignacio = FALS;



	diff_retallat = y_retallat_terra - y_retallat_terra_anterior;
	diff_sector =   y_terra_sector - y_terra_sector_anterior;

	if(y_retallat_terra < (ALTURA_PANTALLA_EFECTIVA >> 1) && y_retallat_terra_anterior < (ALTURA_PANTALLA_EFECTIVA >> 1)) return; // Impossible actualitzar cotes...

	// Assignaci de cotes respecte retallat...

	if(abs(diff_retallat) != 0) // Hi ha cotes per inicialitzar respecte retallat...
	{
		if(diff_retallat < 0)// Assignaci de cotes x2 (x-1)...
		{
			if((y_terra_sector_anterior+1) <= y_retallat_terra_anterior) 
			{ 
				if(ICP->ymin_terra == ALTURA_PANTALLA_EFECTIVA) {Assignacio = CERT;ICP->ymax_terra = y_retallat_terra_anterior; ICP->ymin_terra = y_terra_sector_anterior+1;}
				else ICP->ymax_terra = max(ICP->ymax_terra,y_retallat_terra_anterior);

				for(i = y_retallat_terra_anterior; i > max(y_retallat_terra, y_terra_sector_anterior) ; i--) Assignacio ? (ICP->x1[i] = ICP->x2[i] = x-1):(ICP->x2[i] = x-1); // x - 1
			}
		}
		else // Assignaci de cotes x1 (x)...
		{
			if((y_terra_sector+1) <= y_retallat_terra) 
			{ 
				if(ICP->ymin_terra == ALTURA_PANTALLA_EFECTIVA) {Assignacio = CERT; ICP->ymax_terra = y_retallat_terra; ICP->ymin_terra = y_terra_sector+1;}
				else ICP->ymax_terra = max(ICP->ymax_terra,y_retallat_terra);

				for(i = y_retallat_terra; i > max(y_retallat_terra_anterior,y_terra_sector) ; i--) Assignacio ? (ICP->x1[i] = ICP->x2[i] = x) : (ICP->x1[i] = x); // x
			}
		
		}
	}
		

	if(abs(diff_sector) != 0) // Hi ha cotes per inicialitzar respecte sector...
	{
		if(diff_sector < 0) // Assignaci de cotes x1...		
		{
			if((y_terra_sector+1) <= y_retallat_terra) 
			{
				
				if(ICP->ymax_terra < 0) {Assignacio = CERT; ICP->ymax_terra = y_retallat_terra;ICP->ymin_terra = y_terra_sector+1;}
				else ICP->ymin_terra = min(ICP->ymin_terra,y_terra_sector+1);
					
				for(i = y_terra_sector+1; i <= min(y_terra_sector_anterior,y_retallat_terra_anterior); i++) Assignacio? (ICP->x1[i] = ICP->x2[i] = x):(ICP->x1[i] = x); // x 
			}	
		}
		else // Assignaci de cotes x2...
		{
			
			if((y_terra_sector_anterior+1) <= y_retallat_terra_anterior)
			{
				if(ICP->ymax_terra < 0) {Assignacio = CERT;ICP->ymax_terra = y_retallat_terra_anterior;ICP->ymin_terra = y_terra_sector_anterior+1;}
				else ICP->ymin_terra = min(ICP->ymin_terra,y_terra_sector_anterior+1);

				for(i = y_terra_sector_anterior+1; i <= min(y_terra_sector,y_retallat_terra); i++) Assignacio ? (ICP->x1[i] = ICP->x2[i] = x-1):(ICP->x2[i] = x-1); // x -1
			}
		}
	}


}


//--------------------------------------------------------------------------------------
//-----------------  PINTAT DEL TERRA I SOSTRE DEL SECTOR ACTUAL -----------------------
//--------------------------------------------------------------------------------------

/*
void PintarSostre(const tJugador *Jugador, const tSector *SectorActual)
{

	float escale_u, du, dv, centre_u, centre_v, u, v;
	float     DeltaZ,Z_Anterior,Z_Proxim,dz_Anterior,dz_Proxim,IncSubdivisio_DzDx,
				DeltaU,U,U_Anterior,U_Proxim,du_Proxim,du_Anterior,IncSubdivisio_DuDx;
				



	// Inicicialitzem gradients (dz i dw) esquerres de paret ...
		
	
	dz_Anterior = Gradients_Paret->dz1;
	
	du_Anterior = Gradients_Paret->du1;

				
	// Inicialitzaci de la subdivisi linial de la interpolaci linial de components de perspectiva (Z,U)...

	IncSubdivisio_DzDx =  inc_dZdX << LOG2_LONGITUD_SUBDIVISIO;
	IncSubdivisio_DuDx =  inc_dUdX << LOG2_LONGITUD_SUBDIVISIO;
			
	dz_Proxim = dz1 + IncSubdivisio_DzDx; // Proxim punt dzdx subdivide afine.
	du_Proxim = du1 + IncSubdivisio_DuDx; // Proxim punt dwdx subdivide afine.

	
	// // Inicio la Z i U esquerres de paret...

	Z_Anterior = 1.0f/dz_Anterior;
	U_Anterior = Z_Anterior*du_Anterior;
				
	NumeroSubdivisions = NColumnes >> LOG2_LONGITUD_SUBDIVISIO; // Numero de subdivisions...
	RestaSubdivisions =  NColumnes &  (LONGITUD_SUBDIVISIO-1); // Resta de les subdivisions...

    
	if(!RestaSubdivisions) // Tenim unes subdivisions exactes (sense resta)...
	{
		NumeroSubdivisions --; 
		RestaSubdivisions = LONGITUD_SUBDIVISIO;
	}

		// bucle general renderitzat paret...
		
		
		while(NumeroSubdivisions-- > 0)
		{

				// Subdivide afine... 
				Z_Proxim = 1.0f/dz_Proxim;
				
				U_Proxim = du_Proxim*Z_Proxim;
				
				DeltaU = (U_Proxim-U_Anterior) >> LOG2_AFFINE_LENGHT;
				DeltaZ = (Z_Proxim-Z_Anterior) >> LOG2_AFFINE_LENGHT;

			
				U = U_Anterior;
				Z = Z_Anterior;
				


				for(contador = 0; contador < LONGITUD_SUBDIVISIO; contador++)
				{


					U += DeltaU;
					Z += DeltaZ;

	
				}
				



				
				Z_Anterior = Z_Proxim;
				U_Anterior = U_Proxim;
	
				dz_Proxim += IncSubdivisio_DzDx;
				du_Proxim += IncSubdivisio_DuDx;
	

			}
			


			if(RestaSubdivisions) // Acabem de renderitzar el resta.
			{
				Z_Proxim = 1.0f/(dz2 - inc_dZdX);
				U_Proxim = Z_Proxim*(du2 - inc_dUdX));

				Z = Z_Anterior;
				U = U_Anterior;

				if(--RestaSubdivisions)
				{
					
					DeltaZ = (Z_Proxim-Z_Anterior)*reciprocal_div[RestaSubdivisions];
					DeltaU = (U_Proxim-U_Anterior)*reciprocal_div[RestaSubdivisions];

				}

				for(contador = 0;contador <= (RestaSubdivisions >>LOW_DETAIL);contador++)
				{

					
						U += DeltaU;
						Z += DeltaZ;
		
				}



}
		

*/

/*
	int y,x;
	unsigned int color;// = rand()%256;
	char *ptr_textura;
	tTextura *textura;
	int AngleRaig, Mascara_U, Mascara_V;


	
	if(!(ymin_sostre > ymax_sostre || ymin_sostre < 0 || ymax_sostre >= (ALTURA_PANTALLA_EFECTIVA >> 1)))
	{

	// Renderitzat de sostre...

	

		for(y = ymin_sostre; y <= ymax_sostre; y++) // Renderitzaci del sostre
		{
				if(SectorActual->Textura_Sostre == -1) // Paisatge...
				{
					AngleRaig = Jugador->AngleDireccio - (FOV_ENUMERAT >> 1) + x1[y];

					if(AngleRaig < 0) AngleRaig += GRAU_360;
					if(AngleRaig >= GRAU_360) AngleRaig -= GRAU_360;

					du = DU_Paisatge;
					dv = 0;

					u = (AngleRaig*du);
					v = y*DV_Paisatge;
					
					
					textura = &Textura[TEXTURA_PAISATGE];
				} // Textura...
				else
				{
					escale_u = (float)(SectorActual->AlturaSostre - Jugador->Altura)/(float)(CENTRE_Y2D - y);
				
					// Clcul dels components u,v centrals ...

					centre_u = Cosinus[Jugador->AngleDireccio]*escale_u*d + Jugador->X;
					centre_v =   Sinus[Jugador->AngleDireccio]*escale_u*d + Jugador->Z;

					// Clcul de les derivades du i dv...

					du = - Sinus[Jugador->AngleDireccio]*escale_u;
					dv = Cosinus[Jugador->AngleDireccio]*escale_u;

					// Inici de les components u i v, en funci de la columna x actual...

					u = centre_u + (x1[y] - CENTRE_X2D)*du;
					v = centre_v + (x1[y] - CENTRE_X2D)*dv;

					textura = &Textura[SectorActual->Textura_Terra];
				}



			
				Mascara_U = (1 << (textura->LOG2_AMPLADA)) - 1;
				Mascara_V = (1 << (textura->LOG2_AMPLADA)) - 1;


				
				for(x = x1[y]; x <= x2[y] ; x++)
				{

					color = (((unsigned)(v + 0.49)) & Mascara_V) << textura->LOG2_AMPLADA;
					color += (unsigned)(u + 0.49) & Mascara_U;
				

		#ifdef __HAM__
					ham_PutPixel(x,y,textura->ptr_textura[(((unsigned)(v + 0.49) & Mascara_V) << textura->LOG2_AMPLADA) + (unsigned)(u + 0.49) & Mascara_U ]);
		#endif
		#ifdef	__SDL__
					*(SDL_WORK_VRAM + y*AMPLADA_PANTALLA_EFECTIVA + x) = textura->ptr_textura[color];
		#endif

					v += dv;
					u += du;
				
				}
			
			
		}
	}

}
*/
/*
void PintarTerra(const tJugador *Jugador, const tSector *SectorActual)
{

	float escale_u, du, dv, centre_u, centre_v, u, v;
	float     DeltaZ,Z_Anterior,Z_Proxim,dz_Anterior,dz_Proxim,IncSubdivisio_DzDx,
				DeltaU,U,U_Anterior,U_Proxim,du_Proxim,du_Anterior,IncSubdivisio_DuDx;
				




	// Inicicialitzem gradients (dz i dw) esquerres de paret ...
		
	
	dz_Anterior = Gradients_Paret->dz1;
	
	du_Anterior = Gradients_Paret->du1;

				
	// Inicialitzaci de la subdivisi linial de la interpolaci linial de components de perspectiva (Z,U)...

	IncSubdivisio_DzDx =  inc_dZdX << LOG2_LONGITUD_SUBDIVISIO;
	IncSubdivisio_DuDx =  inc_dUdX << LOG2_LONGITUD_SUBDIVISIO;
			
	dz_Proxim = dz1 + IncSubdivisio_DzDx; // Proxim punt dzdx subdivide afine.
	du_Proxim = du1 + IncSubdivisio_DuDx; // Proxim punt dwdx subdivide afine.

	
	// // Inicio la Z i U esquerres de paret...

	Z_Anterior = 1.0f/dz_Anterior;
	U_Anterior = Z_Anterior*du_Anterior;
				
	NumeroSubdivisions = NColumnes >> LOG2_LONGITUD_SUBDIVISIO; // Numero de subdivisions...
	RestaSubdivisions =  NColumnes &  (LONGITUD_SUBDIVISIO-1); // Resta de les subdivisions...

    
	if(!RestaSubdivisions) // Tenim unes subdivisions exactes (sense resta)...
	{
		NumeroSubdivisions --; 
		RestaSubdivisions = LONGITUD_SUBDIVISIO;
	}

		// bucle general renderitzat paret...
		
		
		while(NumeroSubdivisions-- > 0)
		{

				// Subdivide afine... 
				Z_Proxim = 1.0f/dz_Proxim;
				
				U_Proxim = du_Proxim*Z_Proxim;
				
				DeltaU = (U_Proxim-U_Anterior) >> LOG2_AFFINE_LENGHT;
				DeltaZ = (Z_Proxim-Z_Anterior) >> LOG2_AFFINE_LENGHT;

			
				U = U_Anterior;
				Z = Z_Anterior;
				


				for(contador = 0; contador < LONGITUD_SUBDIVISIO; contador++)
				{


					U += DeltaU;
					Z += DeltaZ;

	
				}
				



				
				Z_Anterior = Z_Proxim;
				U_Anterior = U_Proxim;
	
				dz_Proxim += IncSubdivisio_DzDx;
				du_Proxim += IncSubdivisio_DuDx;
	

			}
			


			if(RestaSubdivisions) // Acabem de renderitzar el resta.
			{
				Z_Proxim = 1.0f/(dz2 - inc_dZdX);
				U_Proxim = Z_Proxim*(du2 - inc_dUdX));

				Z = Z_Anterior;
				U = U_Anterior;

				if(--RestaSubdivisions)
				{
					
					DeltaZ = (Z_Proxim-Z_Anterior)*reciprocal_div[RestaSubdivisions];
					DeltaU = (U_Proxim-U_Anterior)*reciprocal_div[RestaSubdivisions];

				}

				for(contador = 0;contador <= (RestaSubdivisions >>LOW_DETAIL);contador++)
				{

					
						U += DeltaU;
						Z += DeltaZ;
		
				}



}
		

*/

/*
	int y,x;
	unsigned int color;// = rand()%256;
	char *ptr_textura;
	tTextura *textura;
	int AngleRaig, Mascara_U, Mascara_V;


	
		if(!(ymin_terra > ymax_terra || ymin_terra < (ALTURA_PANTALLA_EFECTIVA >> 1) || ymax_terra >= (ALTURA_PANTALLA_EFECTIVA)))
		{
			for(y = ymin_terra; y <= ymax_terra; y++) // Renderitzaci del sostre
			{
					if(SectorActual->Textura_Terra == -1) // Paisatge...
					{
						AngleRaig = Jugador->AngleDireccio - (FOV_ENUMERAT >> 1) + x1[y];

						if(AngleRaig < 0) AngleRaig += GRAU_360;
						if(AngleRaig >= GRAU_360) AngleRaig -= GRAU_360;

						du = DU_Paisatge;
						dv = 0;

						u = (AngleRaig*du);
						v = y*DV_Paisatge;
						
						
						textura = &Textura[TEXTURA_PAISATGE];
					} // Textura...
					else
					{
						escale_u = (float)( Jugador->Altura - SectorActual->AlturaTerra)/(float)(y- CENTRE_Y2D-1 );
					
						// Clcul dels components u,v centrals ...

						centre_u = Cosinus[Jugador->AngleDireccio]*escale_u*d + Jugador->X;
						centre_v =   Sinus[Jugador->AngleDireccio]*escale_u*d + Jugador->Z;

						// Clcul de les derivades du i dv...

						du = - Sinus[Jugador->AngleDireccio]*escale_u;
						dv = Cosinus[Jugador->AngleDireccio]*escale_u;

						// Inici de les components u i v, en funci de la columna x actual...

						u = centre_u + (x1[y] - CENTRE_X2D)*du;
						v = centre_v + (x1[y] - CENTRE_X2D)*dv;

						textura = &Textura[SectorActual->Textura_Terra];
					}

				
					Mascara_U = (1 << (textura->LOG2_AMPLADA)) - 1;
					Mascara_V = (1 << (textura->LOG2_AMPLADA)) - 1;

					
					for(x = x1[y]; x <= x2[y] ; x++)
					{

						color = (((unsigned)(v + 0.49)) & Mascara_V) << textura->LOG2_AMPLADA;
						color += (unsigned)(u + 0.49) & Mascara_U;
					

			#ifdef __HAM__
						ham_PutPixel(x,y,textura->ptr_textura[(((unsigned)(v + 0.49) & Mascara_V) << textura->LOG2_AMPLADA) + (unsigned)(u + 0.49) & Mascara_U ]);
			#endif
			#ifdef	__SDL__
						*(SDL_WORK_VRAM + y*AMPLADA_PANTALLA_EFECTIVA + x) = textura->ptr_textura[color];
			#endif

						v += dv;
						u += du;
					
					}
				
				
			
			}
		}

}*/

