//    Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
//    Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
//
//    This file is part of Jespa3D Engine.
//
//    Jespa3D Engine is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    Jespa3D Engine is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Jespa3D Engine; ; see the file COPYING. if not, write to 
//    the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//    Boston, MA  02111-1307  USA


#ifndef __TECLAT_H
 #define  __TECLAT_H

#include "main.h"

#ifdef __SDL__

#include "SDL/SDL.h"

extern Uint8 *tecla; 

void InicialitzarTeclat();

unsigned TeclaAmunt();
 
unsigned TeclaAvall();

unsigned TeclaEsquerra();

unsigned TeclaDreta(); 

unsigned TeclaEscape();
unsigned Tecla_Start();
unsigned Tecla_Select();

unsigned Tecla_L();
unsigned Tecla_R();

unsigned Tecla_A();
unsigned Tecla_B();




#endif

#ifdef __HAM__

#include "myGBA.h"

#define TeclaAmunt() F_CTRLINPUT_UP_PRESSED

#define TeclaAvall() F_CTRLINPUT_DOWN_PRESSED

#define TeclaEsquerra() F_CTRLINPUT_LEFT_PRESSED

#define TeclaDreta() F_CTRLINPUT_RIGHT_PRESSED

#define TeclaEscape() FALS
#define Tecla_Start() F_CTRLINPUT_START_PRESSED
#define Tecla_Select() F_CTRLINPUT_SELECT_PRESSED

#define Tecla_L() F_CTRLINPUT_L_PRESSED
#define Tecla_R() F_CTRLINPUT_R_PRESSED

#define Tecla_A() F_CTRLINPUT_A_PRESSED
#define Tecla_B() F_CTRLINPUT_B_PRESSED


#endif


#endif
