//    Copyright (C) 2006 Jordi Espada Brau (jespa003@hotmail.com, u1034294@correu.udg.es)
//    Free Software Foundation, Inc.  Contributed by Gustawo Patow Ariel
//
//    This file is part of Jespa3D Engine.
//
//    Jespa3D Engine is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    Jespa3D Engine is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Jespa3D Engine; ; see the file COPYING. if not, write to 
//    the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//    Boston, MA  02111-1307  USA


#ifndef __UTIL_H__
#define __UTIL_H__

/********\
| MACROS |
\********/


#ifndef max
    #define max(a,b)  (((a) > (b)) ? (a) : (b))
#endif

#ifndef min
    #define min(a,b)  (((a) < (b)) ? (a) : (b))
#endif


// Funcions tractament de bit.
#define TST_BIT(x, b) ((x) & (0x1 << (b)))
#define MASK_BIT(b)   (0x1 << (b))
#define SET_BIT(x, b) ((x) = (x) | (0x1 << b))
#define CLR_BIT(x, b) (((x) = ((-1)^(0x1 << b)&(x))

#ifdef __SDL__
#define PRINT_ERROR(s,a) //fprintf(stderr,s,a);
#endif

#ifdef __HAM__
#define PRINT_ERROR(s,a) //ham_VBAText(s,a);
#endif

#endif
