#include "Aritmetica.h"


int WIN_MulFx_16_16(int x,int y)
{
	int resultat;


_asm {

			mov     eax, x
			mov     edx, y
			imul    edx
		
			add     eax, 0x8000
			adc		edx,0
			shrd    eax,edx, 16
			mov		resultat,eax

      }
	

   return resultat;

}


int WIN_MulFx_24_8(int x,int y)
{
	int resultat;


_asm {

			mov     eax, x
			mov     edx, y
			imul    edx
		
			add     eax, 0x80
			adc		edx,0
			shrd    eax,edx, 8
			mov		resultat,eax

      }
	

   return resultat;

}



int WIN_DivFx_16_16(int numerador,int denominador)
{
	int resultat;

	_asm {

			mov     edx, numerador
			mov     ebx, denominador
			
			
			xor     eax,eax				
										
			shrd	eax, edx, 16		    //  Realitzem (x << 16), on x est composat pels registres edx i eax. 
			sar     edx, 16				
			
			idiv    ebx					// edx:eax es dividit per ebx
			mov     resultat,eax
		
			
         }

	return resultat;
}


int WIN_DivFx_Entera(int numerador,int denominador)
{
	int resultat;

	_asm {

			mov     eax, numerador
			mov     ebx, denominador
			xor		edx, edx
			
			idiv    ebx					// edx:eax es dividit per ebx
			
			mov     resultat,eax
		
			
         }

	return resultat;
}

