#ifndef __GESTNODE_H_
#define __GESTNODE_H_


/**********\
| INCLUDES |
\**********/

#include "Types.h"
#include "TGA.h"
#include "malloc.h"
#include "string.h"
#include "util.h"
#include "GFX_Grafics.h"

/********\
| MACROS |
\********/



/**********\
| TYPEDEFS |
\**********/


//#define DATA_NODE_TYPE	tImage 




/******************\
| GLOBAL VARIABLES |
\******************/

extern FILE *fp_err;


/************\
| PROTOTYPES |
\************/


void AddNodeList_Sort_To_Ascendent_Image (int ID_Node,tImage type, tNodeImage **list_type_image);
void AddNodeList_Sort_To_Descendent_Image(int ID_Node,tImage type, tNodeImage **list_type_image);
void AddNodeList_Image_FIFO(tImage type, tNodeImage **list_nodes);
void AddNodeList_Animation_Sort_To_Ascendent (char *name_image, tNodeMasterAnimation **list_type_animation);
void Delete_Nodes_Image(tNodeImage *list_nodes);


void AddNodeList_Animation(char name_image[],int ID_Image, tNodeMasterAnimation **list_type_animation);
void Delete_Nodes_Animation(tNodeMasterAnimation *list_nodes);









#endif