@ /***********************\
@ | PROTOTIPUS DE FUNCIONS |
@ \***********************/

@.GLOBL  ARM_ScanLineConstantZRender



@ /***********************\
@ | DEFINICIO DE CONSTANTS |
@ \***********************/


.CODE 32

.SECTION .iwram




@ /***********************\
@ | DEFINICIO DE CONSTANTS |
@ \***********************/






.GLOBL   ARM_hblFunc

.TYPE    ARM_hbl_Func, function



.ALIGN

.AngleJugador:
    .word   AngleJugador

.Xj:
   .word    Xj

.Zj:
   .word    Zj

.Yj:
   .word    Yj

.COS:
   .word    COS

.SIN:
   .word    SIN

.reciprocal_div:
   .word    reciprocal_div
   
.i:
    .word   i



@ /***************************\
@ | IMPLEMENTACIO DE FUNCIONS |
@ \***************************/

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@				
@@@@@                                                                                            @@@@@@				
@@@@@                         VERTICAL SCANLINE                                                  @@@@@@				
@@@@@                                                                                            @@@@@@				
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@				

ARM_hblFunc:
@MEM_FUNC_IN_IWRAM void hblFunc()
@{
@    FIXED Distancia, x_centre_rot, z_centre_rot, dx_mapa, dz_mapa, x0, z0, TempC, TempS, Escalat_Z;
@
@    r0    
@    r1   
@    r2    
@    r3    i
@    r4    COS[Alpha]
@    r5    SIN[Alpha]
@    r6    Alpha, reciprocal_div[...],Escalat
@    r7    Yj, dx_mapa
@    r8    Distancia, dz_mapa
@    r9    Xj, x_centre_rot,x0
@    r10   Distancia, Zj, z_centre_rot,z0
 

 
 
    


        STMFD   sp!, {r0-r10}                        @ Save registers				


        @  int   i = F_VCNT_CURRENT_SCANLINE;   // *(volatile u16 *)(MEM_IO + 0x06)		// Vertical counter(0-227)

	mov     r0,#0x04000000
    LDRH	r3,[r0,#6]	
    

        
        @ if((1 <= i && i <= 158))
        

	cmp	r3,#0
	blt	Fi_hblFunc
	cmp	r3,#158
	bgt	Fi_hblFunc
        
        @{

	ldr	r6,.AngleJugador			
	ldrb     r6,[r6]

	@        TempC = COS[Angle];
	ldr	r4,.COS
	ldr	r4,[r4,r6,LSL #2]


	@        TempS = SIN[Angle];
	ldr	r5,.SIN
	ldr	r5,[r5,r6,LSL #2]


	@ Carrega de variables Xj, Zj i Yj

	ldr	r9,.Xj
	ldr	r9,[r9]
	ldr	r10,.Zj
	ldr	r10,[r10]
	ldr	r7,.Yj
	ldr	r7,[r7]
	
    @ if(i >= 80)

	ldr	r6,.reciprocal_div

	cmp	r3,#80
	blt	hbl_Func_Sostre

	@ Distancia = ((Yj))*reciprocal_div[i-79] >> 1;
	
    sub r0,r3,#79

	ldr	r6,[r6,r0,LSL #2]
	mul	r0,r7,r6
    mov r0,r0,LSR #1
        b	hbl_Func_Continua_1

hbl_Func_Sostre:

        @ else  Distancia = (128-Yj)*reciprocal_div[80-i] >> 1;
	mov	r0,#128
	sub	r7,r0,r7
	mov	r0,#80
	sub	r0,r0,r3
	ldr	r6,[r6,r0,LSL #2]
	mul	r0,r7,r6
    mov r0,r0,LSR #1

hbl_Func_Continua_1:
        
@        x_centre_rot = (TempC*Distancia >> 8) + (Xj);

	mul	r1,r0,r4
    mov r1, r1,LSR #8
	add	r9,r1,r9

@        z_centre_rot = (TempS*Distancia >> 8) + (Zj);

	mul	r1,r0,r5
    mov r1, r1,LSR #8
	add	r10,r1,r10

@        Escalat_Z = Distancia >> 7;

	mov	r6,r0,LSR #7

@        dx_mapa = -TempS*Escalat_Z >> 8;

	rsb	r5,r5,#0
	mul	r7,r5,r6
    mov r7,r7,LSR #8


@        dz_mapa =  TempC*Escalat_Z >> 8;

	mul	r8,r4,r6
    mov r8,r8,LSR #8

@        x0 = x_centre_rot - (dx_mapa << 7);

	sub	r9,r9,r7,LSL #7

@        z0 = z_centre_rot - (dz_mapa << 7);

	sub	r10,r10,r8,LSL #7

        
@        if(i>=80){
	
	cmp	r3,#80
	blt	hblFunc_Sostre_2

	mov	r0,#0x04000000
	add r0,r0,#0x30
	b   Continua_hblFunc_2

hblFunc_Sostre_2:

	mov	r0,#0x04000000
	add    r0,r0,#0x20

Continua_hblFunc_2:


    STRH    R7,[R0],#+4
    STRH    R8,[R0],#+4
    STMIA   R0!,{R9,R10}
    
    
    mov     r1,#0x04000000
    add     r1,r1,#0x200
    mov     r0,#2
    ldrh    r0,[r1,#2]
    
    
    


Fi_hblFunc:
                LDMFD   sp!, {r0-r10}                        @ Restore registers
                BX      lr
@}

@ The end...









