#ifndef __MAPA_H
 #define __MAPA_H


#include "Tipus.h"
#include "Grafics.h"
#include "Textura.h"
#include "FixedPoint.h"

#define ALTURA_GRAELLA		    (ALTURA_TEXTURA << 8)
#define AMPLADA_GRAELLA			(AMPLADA_TEXTURA << 8)
#define MAX_GRAELLES_X			12
#define MAX_GRAELLES_Z			28
#define MAX_UNITATS_MAPA_X      (((MAX_GRAELLES_X)*AMPLADA_TEXTURA) << 8)
#define MAX_UNITATS_MAPA_Z      (((MAX_GRAELLES_Z)*ALTURA_TEXTURA) << 8)
#define ALTURA_PARET_MON		ALTURA_TEXTURA


extern Fixed32 DISTANCIA_MES_LLARGA;


extern unsigned LOG2_AMPLADA_GRAELLA;
extern unsigned LOG2_ALTURA_GRAELLA;


/*
typedef struct _tMapa{
 char Nom[MAX_CADENA_NOM];
 char *mapa;
}tMapa;*/


extern const char Mapa[MAX_GRAELLES_Z+1][MAX_GRAELLES_X+1];


////////////
// MACROS //
////////////


//{Retorna la perntena punt  2 passat per parmetre pertany al dins el quadrat que engloba del mapa }
#define PuntDinsMapa(X,Z)\
((X >= 0) && (X <= MAX_UNITATS_MAPA_X) && (Z >= 0) && (Z <= MAX_UNITATS_MAPA_Z)) ? 1 : 0

#define JugadorDinsMapa(X,Z)\
((X >= AMPLADA_GRAELLA) && (X < (MAX_UNITATS_MAPA_X-AMPLADA_GRAELLA)) && (Z >= 0) && (Z < (MAX_UNITATS_MAPA_Z - ALTURA_GRAELLA))) ? 1 : 0



/////////////////
// PROTOTIPUS //
////////////////

void PosicioMapaRaigX(Fixed32 PosicioRaigX,Fixed32 PosicioRaigZ,int AngleRaig,int *PosMapaX,int *PosMapaZ);
void PosicioMapaRaigZ(Fixed32 PosicioRaigX,Fixed32 PosicioRaigZ,int AngleRaig,int *PosMapaX,int *PosMapaZ);
void Inicialitzar_Mapa();




#endif
