#ifndef __TECLAT_H
 #define  __TECLAT_H

#include "RayCast.h"

#ifdef __SDL__

#include "SDL/SDL.h"

extern Uint8 *tecla; 

void InicialitzarTeclat();

unsigned TeclaAmunt();
 
unsigned TeclaAvall();

unsigned TeclaEsquerra();

unsigned TeclaDreta(); 

unsigned TeclaEscape();

unsigned TeclaMes();

unsigned TeclaMenys();

unsigned TeclaEnter();




#endif

#ifdef __HAM__

#include "myGBA.h"

#define TeclaAmunt() F_CTRLINPUT_UP_PRESSED

#define TeclaAvall() F_CTRLINPUT_DOWN_PRESSED

#define TeclaEsquerra() F_CTRLINPUT_LEFT_PRESSED

#define TeclaDreta() F_CTRLINPUT_RIGHT_PRESSED

#define TeclaEscape() 0

#define TeclaMes() F_CTRLINPUT_L_PRESSED

#define TeclaMenys() F_CTRLINPUT_R_PRESSED

#define TeclaEnter() F_CTRLINPUT_SELECT_PRESSED


#endif


#endif
